/*
 * DataFloatApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-11 15:36:32 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.indicator.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.indicator.common.vo.log.DataFloatListVO;
import com.unis.indicator.common.vo.log.DataFloatShowVO;
import com.unis.indicator.common.vo.log.DataFloatVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * DATA_FLOAT-数据浮动记录表
 * @author lipenghe at 2020-08-11 15:36:32
 */
//@RequestMapping("/manager/log")
//数据浮动记录表---数据浮动记录表
@FeignClient("indicator-server")
public interface DataFloatApi {

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---选择性保存,包含新增和修改", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(DataFloatVO dataFloatVO) ;

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---选择性插入字段", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody DataFloatVO dataFloatVO);

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---根据实体不为空的属性,选择性更新字段", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody DataFloatVO dataFloatVO);

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---更改状态", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody DataFloatVO dataFloatVO);

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody DataFloatShowVO dataFloatShowVO);

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---根据实体(唯一标示)查询一条数据", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/selectById")
    public ResponseWrapper selectById(@RequestBody DataFloatShowVO dataFloatShowVO);

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---根据实体的某些属性查询分页数据,pageSize,pageNum从url传", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody DataFloatListVO dataFloatListVO);

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---根据实体的某些属性查询列表", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/selectByEntity")
    public ResponseWrapper selectByEntity(@RequestBody DataFloatListVO dataFloatListVO);

    @ApiOperation(value = "数据浮动记录表---数据浮动记录表---初始化数据", notes = "数据浮动记录表")
    @PostMapping("/manager/log/dataFloat/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody DataFloatVO DataFloatVO);
}
