/*
 * LogDataChangeApi.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-06 15:42:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.indicator.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.indicator.common.vo.log.LogDataChangeListVO;
import com.unis.indicator.common.vo.log.LogDataChangeShowVO;
import com.unis.indicator.common.vo.log.LogDataChangeVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

//import org.springframework.web.bind.annotation.RequestMapping;

/**
 * LOG_DATA_CHANGE-数据变动日志表
 * @author lipenghe at 2020-08-06 15:42:51
 */
//@RequestMapping("/manager/log")
//数据改动---数据变动日志表
@FeignClient("indicator-server")
public interface LogDataChangeApi {

    @ApiOperation(value = "数据改动---数据变动日志表---选择性保存,包含新增和修改", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/saveEntitySelective")
    public ResponseWrapper saveEntitySelective(LogDataChangeVO dataChangeVO) ;

    @ApiOperation(value = "数据改动---数据变动日志表---选择性插入字段", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/insertEntitySelective")
    public ResponseWrapper insertEntitySelective(@RequestBody LogDataChangeVO dataChangeVO);

    @ApiOperation(value = "数据改动---数据变动日志表---根据实体不为空的属性,选择性更新字段", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/updateByEntitySelective")
    public ResponseWrapper updateByEntitySelective(@RequestBody LogDataChangeVO dataChangeVO);

    @ApiOperation(value = "数据改动---数据变动日志表---更改状态", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/updateStatusByEntity")
    public ResponseWrapper updateStatusByEntity(@RequestBody LogDataChangeVO dataChangeVO);

    @ApiOperation(value = "数据改动---数据变动日志表---[真删除]根据实体的某些属性进行单条或者批量删除", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/deleteByEntity")
    public ResponseWrapper deleteByEntity(@RequestBody LogDataChangeShowVO dataChangeShowVO);

    @ApiOperation(value = "数据改动---数据变动日志表---根据实体(唯一标示)查询一条数据", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/selectById")
    public ResponseWrapper selectById(@RequestBody LogDataChangeShowVO dataChangeShowVO);

    @ApiOperation(value = "数据改动---数据变动日志表---根据实体的某些属性查询分页数据,pageSize,pageNum从url传", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/selectPageByEntity")
    public ResponseWrapper selectPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            , @RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            , @RequestBody LogDataChangeListVO dataChangeListVO);

    @ApiOperation(value = "数据改动---数据变动日志表---根据实体的某些属性查询列表", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/selectByEntity")
    public ResponseWrapper selectByEntity(@RequestBody LogDataChangeListVO dataChangeListVO);

    @ApiOperation(value = "数据改动---数据变动日志表---初始化数据", notes = "数据改动")
    @PostMapping("/manager/log/logDataChange/selectInitData")
    public ResponseWrapper selectInitData(@RequestBody LogDataChangeVO LogDataChangeVO);
}
