package com.unis.indicator.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.indicator.common.vo.PriceIndexQueryVO;
import com.unis.indicator.common.vo.bbzb.IndiBreedSpcVO;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 *功能描述
 * @author wangqiang
 * @date 2019/8/27 0027
 * @param
 * @return
 */
@FeignClient(name = "indicator-server")
@Component
public interface PriceIndexFeign {
    /**
     *功能描述 条件查询所有价格指数 --表
     * @author wangqiang
     * @date 2019/8/27 0027
     * @param :[priceIndexQueryVO]
     * @return com.unis.common.utils.ResponseWrapper
     */
    @ApiOperation(value = "条件查询所有价格指数", notes = "参数：PriceIndexQueryVO")
    @RequestMapping(method = RequestMethod.POST, value = "/priceIndex/priceIndex")
    public ResponseWrapper findAllPriceIndex(@RequestBody PriceIndexQueryVO priceIndexQueryVO);

    /**
     *功能描述 条件查询所有价格指数 --图
     * @author wangqiang
     * @date 2019/8/27 0027
     * @param :[priceIndexQueryVO]
     * @return com.unis.common.utils.ResponseWrapper
     */
    @ApiOperation(value = "条件查询所有价格指数", notes = "参数：PriceIndexQueryVO")
    @RequestMapping(method = RequestMethod.POST, value = "/priceIndex/priceIndexTu")
    public ResponseWrapper findAllPriceIndexTu(@RequestBody PriceIndexQueryVO priceIndexQueryVO);

    /**
     *功能描述 条件查询所有价格
     * @author wangqiang
     * @date 2019/8/28 0028
     * @param :[priceIndexQueryVO]
     * @return com.unis.common.utils.ResponseWrapper
     */
    @ApiOperation(value = "条件查询所有价格", notes = "参数：PriceIndexQueryVO")
    @RequestMapping(method = RequestMethod.POST, value = "/priceIndex/price")
    public ResponseWrapper findAllPrice(@RequestBody PriceIndexQueryVO priceIndexQueryVO);
}
