package com.unis.indicator.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.common.utils.ResponseWrapper;
import com.unis.indicator.common.vo.ReportingOfIndexPriceAddVO;
import com.unis.indicator.common.vo.ReportingOfIndexPriceParamVO;

/**
 * 
 * @Description：指标价格填报记录
 * @author：王帅
 * @date: 2020年4月10
 */
@FeignClient("indicator-server")
public interface ReportingOfIndexPriceFeign {

	@PostMapping("/indexPrice/addRecord")
	public ResponseWrapper insertReportedRecord(@RequestBody ReportingOfIndexPriceAddVO record);

	@PostMapping("/indexPrice/modifyRecord")
	public ResponseWrapper updateReportedRecord(@RequestBody ReportingOfIndexPriceAddVO record);

	@PostMapping("/indexPrice/showDetail")
	public ResponseWrapper showDetail(@RequestBody ReportingOfIndexPriceParamVO param);

	@PostMapping("/indexPrice/showList/{pageNum}/{pageSize}")
	public ResponseWrapper showListByPage(@RequestBody ReportingOfIndexPriceParamVO param,
			@PathVariable(value = "pageSize") Integer pageSize, @PathVariable(value = "pageNum") Integer pageNum);

	/**
	 * 
	 * @Description: 系统报表（周报和月报）
	 * @author: 王帅
	 * @param: @param  param
	 * @param: @return 参数
	 * @return: ResponseWrapper 返回类型
	 */
	@PostMapping("/indexPrice/reportForms")
	public ResponseWrapper showPriceIndexTrend(@RequestBody ReportingOfIndexPriceParamVO param);
	
}
