package com.unis.indicator.client;

import com.unis.common.utils.ResponseWrapper;
import com.unis.indicator.common.vo.WarningRoleQueryVO;
import com.unis.indicator.common.vo.WarningRoleVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "indicator-server")
@Component
public interface WarningRoleFeign {
    @ApiOperation(value = "预警规则新增", notes = "预警规则新增")
    @RequestMapping(method = RequestMethod.POST, value = "/warningRole/")
    public ResponseWrapper saveWarningRole(@RequestBody WarningRoleVO warningRoleVO);

    @ApiOperation(value = "预警规则编辑", notes = "预警规则编辑")
    @RequestMapping(method = RequestMethod.PUT, value = "/warningRole/")
    public ResponseWrapper updateWarningRole(@RequestBody WarningRoleVO warningRoleVO);

    @ApiOperation(value = "预警规则详情", notes = "参数:id")
    @RequestMapping(method = RequestMethod.GET, value = "/warningRole/{id}/")
    public ResponseWrapper getWarningRole(@PathVariable("id") String id);

    @ApiOperation(value = "预警规则删除", notes = "参数:id")
    @RequestMapping(method = RequestMethod.DELETE, value = "/warningRole/")
    public ResponseWrapper deleteWarningRole(@RequestParam("id") String id);

    @ApiOperation(value = "预警规则列表", notes = "查询条件:分页条件")
    @RequestMapping(method = RequestMethod.POST, value = "/warningRoles/")
    public ResponseWrapper warningRoles(@RequestBody WarningRoleQueryVO warningRoleQueryVO);

}
