package com.unis.indicator.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.Date;

/**
 * @ClassName ContributeArticleVO
 * @Description 文章投稿VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "文章投稿Model")
public class ContributeArticleVO extends BaseVO {

	@ApiModelProperty(value = "标题")
	@Size(max= 30, message = "标题名称最大长度为30")
	@NotEmpty(message="标题名称不能为空")
	@Pattern(regexp = "[^%&',;=?$\\x22]+", message = "标题名称不能有空格")
	private String title;

	@ApiModelProperty(value = "内容")
	private String content;

	@ApiModelProperty(value = "附件")
	private String annex;

	@Size(max= 1000, message = "描述最大长度为1000")
	@NotEmpty(message="描述不能为空")
	@ApiModelProperty(value = "描述")
	private String description;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "状态name")
	private String statusName;

	@ApiModelProperty(value = "查询日期from")
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	private Date dateFrom;

	@ApiModelProperty(value = "查询日期to")
	@JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
	private Date dateTo;

	@ApiModelProperty(value = "上报文章数")
	private Integer allNum;

	@ApiModelProperty(value = "转入津粮网数")
	private Integer publishNum;

	@ApiModelProperty(value = "驳回意见--内蒙")
	private String rejectAdvice;

	@ApiModelProperty(value = "审核人--内蒙")
	private String auditingBy;

	@ApiModelProperty(value = "审核时间--内蒙")
	private Date auditingTime;
	//1:自治区用户查询 lcid
	//2:盟市用户查询 lcid
	private Integer queryType;
}
