package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @ClassName IndicatorVO
 * @Description 指标VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "指标Model")
public class IndicatorVO extends BaseVO {

	@ApiModelProperty(value = "指标名称")
	@Size(max= 30, message = "指标名称最大长度为30")
	@NotEmpty(message="名称不能为空")
	@Pattern(regexp = "\\S*$", message = "名称不能为空格")
	private String indName;

	@ApiModelProperty(value = "使用年份")
	@NotEmpty(message="使用年份不能为空")
	private String useYear;

	@ApiModelProperty(value = "指标编码")
//	@NotEmpty(message="指标编码不能为空")
	private String indCode;

	@ApiModelProperty(value = "英文代码")
//	@NotEmpty(message="英文代码不能为空")
	private String ensCode;

	@ApiModelProperty(value = "级别(1：一级； 2：二级；3：三级；4：四级)")
	@NotEmpty(message="级别不能为空")
	private String indLevel;

	@ApiModelProperty(value = "类型(1：原粮； 2：成品粮；3：食用油及油料)")
	@NotEmpty(message="类型不能为空")
	private String indType;

	@ApiModelProperty(value = "父指标id")
	private String pInd;

	@ApiModelProperty(value = "父指标name")
	private String pIndName;

	@ApiModelProperty(value = "父指标,父父指标。。。")
	private List<String> pIndList;

	@ApiModelProperty(value = "叶子节点（0:NO;1:YES）")
	private String isChild;

	@ApiModelProperty(value = "叶子节点名称")
	private String isChildName;

	@ApiModelProperty(value = "描述")
	private String description;

	@ApiModelProperty(value = "指标单位id")
	private String unitId;

	private List<IndicatorVO> children;
}
