package com.unis.indicator.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.Date;

/**
 * @ClassName ContributeArticleVO
 * @Description 文章投稿VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "期刊Model")
public class JournalVO extends BaseVO {

	@ApiModelProperty(value = "标题")
	@Size(max= 30, message = "标题名称最大长度为30")
	@NotEmpty(message="标题名称不能为空")
	@Pattern(regexp = "\\S*$", message = "标题名称不能为空格")
	private String title;

	@ApiModelProperty(value = "附件ids")
	private String annex;

}
