package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@ApiModel(description = "LyjgInfoVO，粮油价格")
@Getter
@Setter
public class
PriceInfoVO {

    /**
     *粮油价格表主键ID
     */
    @ApiModelProperty(value = "粮油价格表主键ID")
    private String id;

    /**
     *报表ID
     */
    @ApiModelProperty(value = "报表ID")
    private String tbjlId;

    /**
     *序号
     */
    @ApiModelProperty(value = "序号")
    private Integer xh;

    /**
     *指标类别编码
     */
    @ApiModelProperty(value = "指标类别编码")
    private String zblbbm;

    /**
     *指标类别
     */
    @ApiModelProperty(value = "指标类别")
    private String pzlb;

    /**
     *指标编码
     */
    @ApiModelProperty(value = "指标编码")
    private String zbbm;

    /**
     *指标名称
     */
    @ApiModelProperty(value = "指标名称")
    private String pzmc;

    /**
     *计量标准编码
     */
    @ApiModelProperty(value = "计量标准编码")
    private String jlbzbm;

    /**
     *计量标准
     */
    @ApiModelProperty(value = "计量标准")
    private String jlbz;

    /**
     *计量单位编码
     */
    @ApiModelProperty(value = "计量单位编码")
    private String jldwbm;

    /**
     *计量单位
     */
    @ApiModelProperty(value = "计量单位")
    private String jldw;

    /**
     *等级编码
     */
    @ApiModelProperty(value = "等级编码")
    private String djbm;

    /**
     *等级
     */
    @ApiModelProperty(value = "等级")
    private String dj;

    /**
     *品牌编码
     */
    @ApiModelProperty(value = "品牌编码")
    private String ppbm;

    /**
     *品牌
     */
    @ApiModelProperty(value = "品牌")
    private String pp;

    /**
     *规格
     */
    @ApiModelProperty(value = "规格")
    private String gg;

    /**
     *产地行政区划编码
     */
    @ApiModelProperty(value = "产地行政区划编码")
    private String cdxzqhbm;

    /**
     *产地
     */
    @ApiModelProperty(value = "产地")
    private String cd;

    /**
     *变动原因（备注）
     */
    @ApiModelProperty(value = "变动原因（备注）")
    private String bdyy;

    /**
     *价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String jglx;

    /**
     *粮油价格明细ID
     */
    @ApiModelProperty(value = "粮油价格明细ID")
    private String lyjgmxId;

    /**
     *上期价格
     */
    @ApiModelProperty(value = "上期价格")
    private Double sqjg;

    /**
     *本期价格
     */
    @ApiModelProperty(value = "本期价格")
    private Double bqjg;

    /**
     * 平均价格
     */
    @ApiModelProperty(value = "平均价格")
    private Double pjjg;

    /**
     *上期数量
     */
    @ApiModelProperty(value = "上期数量")
    private Double sbsl;

    @ApiModelProperty(value="波动原因")
    private String reason;

    /**
     *本期数量
     */
    @ApiModelProperty(value = "本期数量")
    private Double bqsl;

    @ApiModelProperty(value = "指数")
    private Double jgzs;

    @ApiModelProperty(value = "环比")
    private Double hbzzl;

    @ApiModelProperty(value = "同比")
    private Double tbzzl;

    private List<PriceDedailInfoVO> priceDedailInfoVOList;

    private Map<String,Object> priceMap;

    private Map<String,Object> lastPriceMap;


}
