package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author ：yangshengjie
 * @Description 价格统计均值实体类
 * @date ：Created in 2019/12/4 9:44
 */
@Getter
@Setter
@ApiModel(value = "价格统计均值实体类")
public class PriceStatisticsAvgVO {

    /**
     * 品种
     */
    @ApiModelProperty(value = "品种")
    private String name;

    /**
     * 查询月份
     */
    @ApiModelProperty(value = "查询月份")
    private String createMonth;

    /**
     * 月初批发价
     */
    @ApiModelProperty(value = "月初批发价")
    private Double startWPrice;

    /**
     * 月初零售价
     */
    @ApiModelProperty(value = "月初零售价")
    private Double startRPrice ;

    /**
     * 月末批发价
     */
    @ApiModelProperty(value = "月末批发价")
    private Double endWPrice ;

    /**
     * 月末零售价
     */
    @ApiModelProperty(value = "月末零售价")
    private Double endRPrice ;

    /**
     * 批发月平均价
     */
    @ApiModelProperty(value = "批发月平均价")
    private Double avgWPrice;

    /**
     * 零售月平均价
     */
    @ApiModelProperty(value = "零售月平均价")
    private Double avgRPrice;

    /**
     * 批发月末较月初
     */
    @ApiModelProperty(value = "批发月末较月初")
    private String WCompareStart;

    /**
     * 零售月末较月初
     */
    @ApiModelProperty(value = "零售月末较月初")
    private String RCompareStart;

    /**
     * 批发环比
     */
    @ApiModelProperty(value = "批发环比")
    private String Whb;

    /**
     * 零售环比
     */
    @ApiModelProperty(value = "零售环比")
    private String Rhb;

    /**
     * 批发同比
     */
    @ApiModelProperty(value = "批发同比")
    private String Wtb;

    /**
     * 零售同比
     */
    @ApiModelProperty(value = "零售同比")
    private String Rtb;
}
