package com.unis.indicator.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @ClassName PriceStatisticsInputVO
 * @Description 价格统计查询类
 * @Author renyu
 * @Date
 * @Version 0.0.1
 **/
@Getter
@Setter
@ApiModel(value = "价格统计查询类")
public class PriceStatisticsInputVO {

    /**
     * 所在月份
     */
    @ApiModelProperty(value = "所在月份")
    @JsonFormat(pattern="yyyy-MM",timezone="GMT+8")
    private String createMonth;

    /**
     * 上报日期
     */
    @ApiModelProperty(value = "上报日期")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date reportDate;

    /**
     * 上报开始时间
     */
    @ApiModelProperty(value = "上报开始时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date startDate;
    
    /**
     * 上报开始时间
     */
    @ApiModelProperty(value = "上报开始时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date startDate1;
    
    /**
     * 上报开始时间
     */
    @ApiModelProperty(value = "上报开始时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date startDate2;

    /**
     * 上报结束时间
     */
    @ApiModelProperty(value = "上报结束时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date endDate;
    
    /**
     * 上报结束时间
     */
    @ApiModelProperty(value = "上报结束时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date endDate1;
    
    /**
     * 上报结束时间
     */
    @ApiModelProperty(value = "上报结束时间")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date endDate2;

    /**
     * 统计品种
     */
    @ApiModelProperty(value = "统计品种CODE ，拼接")
    private String statisticsType;

    private String indicator;

    private String jlbz;

    /**
     * 上报结束时间
     */
    @ApiModelProperty(value = "检测点")
    private String point;

    @ApiModelProperty(value = "检测点id  ，拼接")
    private String pointId;

    /**
     * 报表类型
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "起始页")
    private Integer page;

    @ApiModelProperty(value = "每页展示行数")
    private Integer size;

    //检测点
    List<String> pointIds;

    //品种
    List<String> statisticsTypes;

    public List<String> getStatisticsTypes() {
        if(statisticsType != null && !statisticsType.equals("")){
            String[] strings = statisticsType.split(",");
            List<String> stringList = new ArrayList<>();
            for (String str : strings) {
                stringList.add(str);
            }
            return stringList;
        }
        return statisticsTypes;
    }

    public List<String> getPointIds() {
        if(pointId != null && !pointId.equals("")){
            String[] strings = pointId.split(",");
            List<String> stringList = new ArrayList<>();
            for (String str : strings) {
                stringList.add(str);
            }
            return stringList;
        }
        return pointIds;
    }




}
