package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName PriceStatisticsMonthVO
 * @Description 价格统计月报表
 * @Author renyu
 * @Date
 * @Version 0.0.1
 **/
@Getter
@Setter
@ApiModel(value = "价格统计月报表")
public class PriceStatisticsMonthVO {

    /**
     * 品种
     */
    @ApiModelProperty(value = "品种")
    private String name;

    private String bm;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌")
    private String pp;

    /**
     * 等级
     */
    @ApiModelProperty(value = "计量标准,数据是等级,非dj字段")
    private String jlbz;


    /**
     * 规格
     */
    @ApiModelProperty(value = "规格")
    private String gg;


    /**
     * 月初价格
     */
    @ApiModelProperty(value = "月初价格")
    private Double startPrice;

    /**
     * 月末价格
     */
    @ApiModelProperty(value = "月末价格")
    private Double endPrice;

    /**
     * 月最高价
     */
    @ApiModelProperty(value = "月最高价")
    private Double maxPrice;

    /**
     * 月最低价
     */
    @ApiModelProperty(value = "月最低价")
    private Double minPrice;

    /**
     * 月平均价
     */
    @ApiModelProperty(value = "月平均价")
    private Double avgPrice;

    /**
     * 较上月初价格
     */
    @ApiModelProperty(value = "较上月初价格")
    private Double compareStartPrice;

    /**
     * 较上月末价格
     */
    @ApiModelProperty(value = "较上月末价格")
    private Double compareEndPrice;

    /**
     * 较上月最高价
     */
    @ApiModelProperty(value = "较上月最高价")
    private Double compareMaxPrice;

    /**
     * 较上月最低价
     */
    @ApiModelProperty(value = "较上月最低价")
    private Double compareMinPrice;

    /**
     * 较上月平均价
     */
    @ApiModelProperty(value = "较上月平均价")
    private Double compareAvgPrice;

    @ApiModelProperty(value = "日均销量")
    private Double avgNumber;

    @ApiModelProperty(value = "日均销量增减")
    private String compareAvgNumber;
}
