package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName PriceStatisticsVO
 * @Description 价格统计月报表
 * @Author renyu
 * @Date
 * @Version 0.0.1
 **/
@Getter
@Setter
@ApiModel(value = "价格统计实体类")
public class PriceStatisticsVO {

    /**
     * 品种
     */
    @ApiModelProperty(value = "品种")
    private String name;

    private String bm;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌")
    private String pp;

    /**
     * 等级
     */
    @ApiModelProperty(value = "计量标准,数据是等级,非dj字段")
    private String jlbz;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格")
    private String gg;

    /**
     * 期初价格
     */
    @ApiModelProperty(value = "期初价格")
    private Double startPrice;

    /**
     * 期末价格
     */
    @ApiModelProperty(value = "期末价格")
    private Double endPrice;

    /**
     * 最高价
     */
    @ApiModelProperty(value = "最高价")
    private Double maxPrice;

    /**
     * 最低价
     */
    @ApiModelProperty(value = "最低价")
    private Double minPrice;

    /**
     * 平均价
     */
    @ApiModelProperty(value = "平均价")
    private Double avgPrice;

    /**
     * 日均销量
     */
    @ApiModelProperty(value = "日均销量")
    private Double avgNumber;

}
