package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName PriceStatisticsWeekVO
 * @Description 价格统计周报表
 * @Author renyu
 * @Date
 * @Version 0.0.1
 **/
@Getter
@Setter
@ApiModel(value = "价格统计周报表")
public class PriceStatisticsWeekVO {


    @ApiModelProperty(value = "品种名称")
    private String name;

    @ApiModelProperty(value = "品牌")
    private String pp;
    
    @ApiModelProperty(value = "等级")
    private String jlbz;
    
    @ApiModelProperty(value = "规格")
    private String gg;

    /**
     * 周初价格
     */
    @ApiModelProperty(value = "周初价格")
    private double startPrice;

    /**
     * 周末价格
     */
    @ApiModelProperty(value = "周末价格")
    private double endPrice;

    /**
     * 平均价格
     */
    @ApiModelProperty(value = "平均价格")
    private double avgPrice;

    /**
     * 较上周周初价
     */
    @ApiModelProperty(value = "较上周周初价")
    private double compareStartPrice;

    /**
     * 较上周周末价格
     */
    @ApiModelProperty(value = "较上周周末价格")
    private double compareEndPrice;

    /**
     * 较上周平均价格
     */
    @ApiModelProperty(value = "较上周平均价格")
    private double compareAvgPrice;

    @ApiModelProperty(value = "日均销量")
    private Double avgNumber;

    @ApiModelProperty(value = "日均销量增减")
    private String compareAvgNumber;
}
