package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@ApiModel(value = "价格走势查询类")
public class PriceTrendQueryVO {

    /**
     * 价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "指标价格")
    private String indicatorPrice;

    /**
     * 价格期类型
     */
    @ApiModelProperty(value = "报表类型期类型 (日报、周报、月报)")
    private String priceDateType;

    @ApiModelProperty(value = "报表类型id")
    private String bblxid;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "检测点")
    private String pointId;

    @ApiModelProperty(value = "指标名")
    private String indicator;

    @ApiModelProperty(value = "品牌")
    private String pp;
    @ApiModelProperty(value = "原综合")
    private  String yzh;

    @ApiModelProperty(value = "08综合")
    private String lbzh;
    @ApiModelProperty(value = "规格")
    private String gg;

    @ApiModelProperty(value = "计量标准")
    private String jlbz;

    @ApiModelProperty(value = "报表指标关联类型:1、只关联指标名称 2、指标名称和标准等级关联 3、指标、品牌、规格、等级关联")
    private Integer type;

    private List<String> indicators;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private String endDate;

    @ApiModelProperty(value = "起始页")
    private Integer page;

    @ApiModelProperty(value = "每页展示行数")
    private Integer size;

    //报表类型期类型为日报时 type为1时查询监测点的 不为1时查询已上报的
    private Integer queryType;

    public List<String> getIndicators() {
        if(indicator != null && !indicator.equals("")){
            String[] strings = indicator.split(",");
            List<String> stringList = new ArrayList<>();
            for (String str : strings) {
                stringList.add(str);
            }
            return stringList;
        }
        return indicators;
    }
}
