package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@ApiModel(description = "TbjlInfoVO，填报记录相关信息")
@Getter
@Setter
public class ReportRecordInfoVO extends BaseVO{

    /**
     *报表类型
     */
    @ApiModelProperty(value = "报表类型")
    private String bblxmc;

    /**
     *报表期类型
     */
    @ApiModelProperty(value="报表期类型")
    private String bbxlx;

    /**
     *报表类型表主键ID
     */
    @ApiModelProperty(value="报表类型表主键ID")
    private String bblxId;

    /**
     *上报开始时间
     */
    @ApiModelProperty(value="上报开始时间")
    private String sbkssj;

    /**
     *上报结束时间
     */
    @ApiModelProperty(value="上报结束时间")
    private String sbjssj;

    /**
     *流程ID
     */
    @ApiModelProperty(value="流程ID 天津流程 1:暂存 2：已上报")
    private String lcid;

    //状态内蒙列表状态
    private String statusName;

    @ApiModelProperty(value="检测点名称")
    private String orgName;

    @ApiModelProperty(value="上报地区名称")
    private String deptName;

    @ApiModelProperty(value="行政区划名称")
    private String areaName;

    @ApiModelProperty(value="修改次数")
    private Integer updateNum;

    @ApiModelProperty(value="驳回次数")
    private Integer rejectNum;

    private List<PriceInfoVO> priceInfoVOList;

    @ApiModelProperty(value="周日期")
    private String weekTime;

    @ApiModelProperty(value="月日期")
    private String monthTime;

    @ApiModelProperty(value="日期")
    private String dayTime;

    @ApiModelProperty(value="填报方式")
    private String filingType;

    @ApiModelProperty(value="填报时间")
    private String reportTime;
    
    @ApiModelProperty(value="填报状态 1-已填报")
    private Integer fillNum;

    List<ReportTypeIndicatorVO> list;
}
