package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@ApiModel(description = "TbjlListVO，填报记录列表查询条件")
@Getter
@Setter
public class ReportRecordListVO {

    /**
     * 上报开始时间
     */
    @ApiModelProperty(value = "上报开始时间")
    private String startDate;

    /**
     * 上报结束时间
     */
    @ApiModelProperty(value = "上报结束时间")
    private String endDate;

    /**
     * 监测点
     */
    @ApiModelProperty(value = "监测点")
    private String orgId;

    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    private String areaCode;

    /**
     * 监测点名称
     */
    @ApiModelProperty(value = "监测点名称")
    private String orgName;

    /**
     * 上报地区
     */
    @ApiModelProperty(value = "上报地区")
    private String deptId;

    /**
     * 流程id
     */
    @ApiModelProperty(value = "流程 1:提交 2:发布 3:驳回")
    private String reportStatus;

    /**
     * 报表类型
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "指标名称")
    private String Indicator;

    @ApiModelProperty(value = "指标价格类型")
    private String indicatorPriceType;

    @ApiModelProperty(value = "起始页")
    private Integer page;

    @ApiModelProperty(value = "每页展示行数")
    private Integer size;

    //1:自治区用户查询 lcid
    //2:盟市用户查询 lcid
    private Integer queryType;
}
