package com.unis.indicator.common.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：指标价格填报
 * @author：王帅
 * @date: 2020年4月09
 */
@Data
@ApiModel(value = "指标价格填报记录")
public class ReportingOfIndexPriceAddVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "报表类型id")
	private String reportTypeId;

	@ApiModelProperty(value = "价格类型主键")
	private String priceTypeId; // 价格类型主键

	@ApiModelProperty(value = "价格类型名称")
	private String priceTypeName; // 价格类型名称

	@ApiModelProperty(value = "上报开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sbkssj; // 上报开始时间

	@ApiModelProperty(value = "上报结束时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sbjssj; // 上报结束时间

	@ApiModelProperty(value = "报表类型（DAY：日报，WEEK：周报，MONTH：月报）")
	private String type;

	@ApiModelProperty(value = "检测点名称")
	private String orgName;

	@ApiModelProperty(value = "上报地区名称")
	private String deptName;

	@ApiModelProperty(value = "行政区划名称")
	private String areaName;

	@ApiModelProperty(value = "机构id")
	private String orgId;

	@ApiModelProperty(value = "部门id")
	private String deptId;

	@ApiModelProperty(value = "行政区划")
	private String areaCode;

	@ApiModelProperty(value = "详情列表")
	private List<ReportingOfIndexPriceDetailVO> detailList;
}
