package com.unis.indicator.common.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：指标价格填报记录列表数据
 * @author：王帅
 * @date: 2020年4月10
 */
@Data
@ApiModel(value = "指标价格填报记录列表数据")
public class ReportingOfIndexPriceListVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "价格类型主键")
	private String priceTypeId; // 价格类型主键

	@ApiModelProperty(value = "价格类型名称")
	private String priceTypeName; // 价格类型名称

	@ApiModelProperty(value = "上报开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sbkssj; // 上报开始时间

	@ApiModelProperty(value = "上报结束时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sbjssj; // 上报结束时间

	@ApiModelProperty(value = "填报日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date createTime;

	@ApiModelProperty(value = "展示时间")
	private String showTime;

	@ApiModelProperty(value = "详情列表")
	private List<ReportingOfIndexPriceDetailVO> detailList;
}
