package com.unis.indicator.common.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @Description：指标价格填报记录参数
 * @author：王帅
 * @date: 2020年4月09
 */
@Data
@ApiModel(value = "指标价格填报记录参数")
public class ReportingOfIndexPriceParamVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "报表类型（DAY：日报，WEEK：周报，MONTH：月报）")
	private String reportType;

	@ApiModelProperty(value = "价格类型主键")
	private String priceTypeId;

	@ApiModelProperty(value = "报表类型主键")
	private String reportTypeId;

	@ApiModelProperty(value = "填报开始日期")
	private String recordStartDate;

	@ApiModelProperty(value = "填报结束日期")
	private String recordEndDate;
	
	@ApiModelProperty(value = "展示品种列表")
	private List<String> varietys;

	@ApiModelProperty(value = "展示品种列表详情")
	private List<ReportingOfIndexPriceDetailVO> detailVOList;
	
	@ApiModelProperty(value = "价格或指数（P：价格，I：指数）")
	private String priceOrIndex;
}
