package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @ClassName StandardVO
 * @Description 指标标准VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "指标标准Model")
public class StandardVO extends BaseVO {

	@ApiModelProperty(value = "指标标准名称")
	@Size(max= 30, message = "指标标准名称最大长度为30")
	@NotEmpty(message="指标标准名称不能为空")
	@Pattern(regexp = "\\S*$", message = "指标标准名称不能为空格")
	private String standardName;

	@ApiModelProperty(value = "描述")
	private String description;

}
