package com.unis.indicator.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * @ClassName WeightVO
 * @Description 权重VO
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@ApiModel(value = "权重Model")
public class WeightVO extends BaseVO {

	@ApiModelProperty(value = "权重代码")
	private String weightCode;

	@ApiModelProperty(value = "权重名称")
	@Size(max= 30, message = "权重名称最大长度为30")
	@NotEmpty(message="权重名称不能为空")
	@Pattern(regexp = "\\S*$", message = "权重名称不能为空格")
	private String weightName;

	@ApiModelProperty(value = "权重类别(传选择的权重的id)")
	private String weightType;

	@ApiModelProperty(value = "权重类别名称(传选择的权重的name)")
	private String weightTypeName;

	@ApiModelProperty(value = "维护日期")
	private Date date;

	@ApiModelProperty(value = "维护日期查询条件开始日")
	private Date dateFrom;

	@ApiModelProperty(value = "维护日期查询条件结束日")
	private Date dateTo;

	@ApiModelProperty(value = "应用状态（0：禁用；1：启用）")
	private String isPublish;

	@ApiModelProperty(value = "应用状态名称")
	private String isPublishName;

	@ApiModelProperty(value = "权重值List")
	private List<WeightValueVO> weightValueList;
}
