package com.unis.indicator.common.vo.bbzb;

import com.unis.indicator.common.vo.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

@ApiModel(description = "报表类型Model")
@Getter
@Setter
public class ReportTypeVO extends BaseVO {

    @ApiModelProperty(value = "唯一的id")
    private String id;

    @ApiModelProperty(value = "报表类型名称")
    @Size(max= 30, message = "价格类型名称最大长度为30")
    @NotEmpty(message="价格类型名称不能为空")
    @Pattern(regexp = "\\S*$", message = "价格类型名称不能为空格")
    private String reportTypeName;

    @ApiModelProperty(value = "报表期类型编码")
    private String reportTimeTypeId;

    @ApiModelProperty(value = "报表期类型名称")
    private String reportTimeTypeName;

    @ApiModelProperty(value = "上报开始时间(例如：周一)")
    private String startTime;

    @ApiModelProperty(value = "上报结束时间（例如：周五）")
    private String endTime;

}
