package com.unis.indicator.server.config;

import javax.servlet.MultipartConfigElement;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 功能描述：springboot里默认使用tomcat的上传文件大小限制，即1MB
 */
@Configuration
public class MultipartConfig {

	@Value("${spring.servlet.multipart.location}")
	private String location;

	@Bean
	public MultipartConfigElement multipartConfigElement() {
		MultipartConfigFactory factory = new MultipartConfigFactory();
		factory.setLocation(location);
		return factory.createMultipartConfig();
	}
}
