package com.unis.indicator.server.controller;

import com.unis.common.utils.ResponseWrapper;
//import feign.FeignException;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

@ControllerAdvice
public class CommonExceptionController {

	@ExceptionHandler(RuntimeException.class)
	@ResponseBody
	public ResponseWrapper exceptionHandler(RuntimeException ex){
		ex.printStackTrace();
	    return ResponseWrapper.error(HttpStatus.PRECONDITION_FAILED.value(), HttpStatus.PRECONDITION_FAILED.getReasonPhrase(), ex.getMessage().toString());
	}
	
//	@ExceptionHandler(FeignException.class)
//	@ResponseBody
//	public ResponseWrapper exceptionHandler(FeignException ex){
//		ex.printStackTrace();
//		return ResponseWrapper.error(HttpStatus.SERVICE_UNAVAILABLE.value(), HttpStatus.SERVICE_UNAVAILABLE.getReasonPhrase(), null);
//	}

	@ExceptionHandler(Exception.class)
	@ResponseBody
	public ResponseWrapper exceptionHandler(Exception ex){
		ex.printStackTrace();
		return ResponseWrapper.error(HttpStatus.INTERNAL_SERVER_ERROR.value(), HttpStatus.INTERNAL_SERVER_ERROR.getReasonPhrase(), null);
	}
}
