/*
 * DataFloatDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-11 15:36:32 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.indicator.server.dao;

import com.github.pagehelper.Page;
import com.unis.indicator.common.vo.log.DataFloatVO;
import com.unis.indicator.server.entity.log.DataFloatDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * DATA_FLOAT-数据浮动记录表
 * @author lipenghe at 2020-08-11 15:36:32
 */
public interface DataFloatDao extends Mapper<DataFloatDO> {
    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体的某些属性查询列表,会覆盖数据库默认值
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>更改状态
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体的某些属性查询数量
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体(唯一标示)查询一条数据
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    DataFloatVO selectById(DataFloatVO dataFloatVO);

    /**
    * <DATA_FLOAT-数据浮动记录表>根据实体(唯一标示)查询一条数据
    * @param entity    <数据浮动记录表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    DataFloatVO selectById(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体的某些属性查询分页数据
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<DataFloatVO> selectPageByEntity(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>根据实体的某些属性查询列表
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<DataFloatVO> selectByEntity(DataFloatVO dataFloatVO);

    /**
    * <DATA_FLOAT-数据浮动记录表>根据实体的某些属性查询列表
    * @param entity     <数据浮动记录表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<DataFloatVO> selectByEntity(DataFloatDO entity);
}