/*
 * LogDataChangeDao.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-06 15:42:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.indicator.server.dao;

import com.github.pagehelper.Page;
import com.unis.indicator.common.vo.log.LogDataChangeVO;
import com.unis.indicator.server.entity.log.LogDataChangeDO;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * LOG_DATA_CHANGE-数据变动日志表
 * @author lipenghe at 2020-08-06 15:42:51
 */
public interface LogDataChangeDao extends Mapper<LogDataChangeDO> {
    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体的某些属性查询列表,会覆盖数据库默认值
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntity(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>选择性插入字段,只插入非空的属性对应的字段
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int insertEntitySelective(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>更改状态
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateStatusByEntity(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体某些属性更新全部字段,会覆盖数据库默认值)
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntity(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体不为空的属性,选择性更新字段,只更新非空的属性对应的字段
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int updateByEntitySelective(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>[真删除]根据实体的某些属性进行单条或者批量删除
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteByEntity(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>[假删除]根据实体的某些属性进行单条或者批量删除,根据实体属性单条
     *      或批量删除只是改变了状态不在页面显示,数据仍存在
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int deleteShamByEntity(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体的某些属性查询数量
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectCountByEntity(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体的业务唯一属性(且非指定主键数据)判断是否存在
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    int selectExistsByEntity(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体(唯一标示)查询一条数据
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    LogDataChangeVO selectById(LogDataChangeVO dataChangeVO);

    /**
    * <LOG_DATA_CHANGE-数据变动日志表>根据实体(唯一标示)查询一条数据
    * @param entity    <数据变动日志表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    LogDataChangeVO selectById(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体的某些属性查询分页数据
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    Page<LogDataChangeVO> selectPageByEntity(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>根据实体的某些属性查询列表
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    List<LogDataChangeVO> selectByEntity(LogDataChangeVO dataChangeVO);

    /**
    * <LOG_DATA_CHANGE-数据变动日志表>根据实体的某些属性查询列表
    * @param entity     <数据变动日志表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    List<LogDataChangeVO> selectByEntity(LogDataChangeDO entity);
}