package com.unis.indicator.server.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.indicator.server.entity.report.LyjgDO;
import com.unis.indicator.server.entity.report.LyjgInfoDO;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface LyjgDao {
    void insert(LyjgDO lyjgDO);

    void update(LyjgDO lyjgDO);

    void updateByEntity(LyjgDO lyjgDO);

    List<LyjgDO> selectInfoByFid(String id);

    List<LyjgDO> selectInfoByFidAndJglx(String id,String jglx);

    List<LyjgInfoDO> selectTjInfoByFid(String id);

    String findByVariety(String variety);

    List<LyjgInfoDO> selectInfoByQuery(Map<String, Object> queryMap);

    String selectIndicatorIdByZbbm(String zbbm);
    
    List<LyjgDO> queryCompleteVarieties(@Param("formType")String formType, @Param("code")String code);
    
	int modifyRecordVarietiesCode(@Param("newCode") String newCode, @Param("code") String code,
			@Param("name") String name, @Param("formType")String formType);
	
	int modifyReportVarietiesThebenchmarkName(@Param("code") String code, @Param("thebenchmarkName") String thebenchmarkName, @Param("formType")String formType);
}
