package com.unis.indicator.server.dao;

import com.unis.indicator.common.vo.*;
import com.unis.indicator.server.entity.report.TbjlAvgDO;
import com.unis.indicator.server.entity.report.TbjlDO;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TbjlDao {

    List<ReportRecordPriceVO> findByQuery(ReportRecordVO bbvo);

    List<String> findTimeByQuery(ReportRecordVO bbvo);

    List<String> findPzlbByQuery(ReportRecordVO bbvo);

    List<String> findSeriesByQuery(ReportRecordVO bbvo);

    void insert(TbjlDO tbjlDO);

    TbjlDO selectTbjlById(String id,String jglx);

    TbjlDO selectById(String id);

    TbjlDO selectByServiceId(TbjlDO tbjlDO);

    TbjlDO selectLastest(PriceTrendQueryVO reportRecordInfoVO);

    List<TbjlAvgDO> selectAvg(PriceTrendQueryVO reportRecordInfoVO);

    List<TbjlDO> selectByQuery(ReportRecordListVO reportRecordListVO);

    void update(TbjlDO tbjlDO);

    TbjlDO selectByEntity(Map<String, Object> map);

    TbjlDO selectLastInfo(ReportRecordListVO reportRecordListVO);

    void updateStatus(Map<String, Object> map);

    List<TbjlDO> selectRejectReport(Map<String, Object> map);
    List<TbjlDO> selectRejectReportBy(Map<String, Object> map);
    List<StatisticsOutputVO> selectTjStatistics(StatisticsInputVO statisticsInputVO);

    List<StatisticsInfoOutputVO> selectTjStatisticsInfo(StatisticsInputVO statisticsInputVO);

    List<StatisticsOutputVO> selectNmStatistics(StatisticsInputVO statisticsInputVO);

    List<PriceStatisticsWeekVO> selectPriceWeek(PriceStatisticsInputVO priceStatisticsInputVO);

    List<PriceStatisticsMonthVO> selectPriceMonth(PriceStatisticsInputVO priceStatisticsInputVO);

    List<PriceStatisticsDayVO> selectJcd(PriceStatisticsInputVO priceStatisticsInputVO);

    List<PriceInfoVO> selectPriceDay(PriceStatisticsInputVO priceStatisticsInputVO);

    List<TbjlDO> selectPriceTrend(PriceTrendQueryVO priceTrendQueryVO);
    List<TbjlDO> selectPriceTrendN(PriceTrendQueryVO priceTrendQueryVO);
    List<TbjlDO> selectPriceTrendCT(PriceTrendQueryVO priceTrendQueryVO);

    List<ReportTypeIndicatorVO> selectIndicatorByBblxId(PriceTrendQueryVO priceTrendQueryVO);

    List<LastPriceInfoVO> selectLastPrice(PriceTrendQueryVO priceTrendQueryVO);

    LastPriceInfoVO selectWeekPrice(PriceTrendQueryVO priceTrendQueryVO);

    List<PriceStatisticsVO> selectTimePrice(PriceStatisticsInputVO priceStatisticsInputVO);

    PriceStatisticsAvgVO selectTimeAvgPrice(PriceStatisticsInputVO priceStatisticsInputVO);

    PriceStatisticsAvgVO selectWeekAvgPrice(PriceStatisticsInputVO priceStatisticsInputVO);

    List<WeeklyReportVO> selectWeeklyReportList(WeeklyReportVO weeklyReportVO);

     
    List<Map> queryReportTime (ReportRecordVO VO);
    
    List<Map> queryCountryDetails(ReportRecordVO VO);
    
    List<Map> queryPointDetails(ReportRecordVO VO);
    
    List<Map> queryPriceTrend(ReportRecordVO VO);
    
    List<Map> queryPriceTrendPoint(ReportRecordVO VO);
    List<Map> queryPriceTrendPointM(ReportRecordVO VO);
    
    List<Map> queryPriceTrendZD(ReportRecordVO VO);

    Map workbenchQueryPrice(ReportRecordVO VO);
   

    Double selectPriceByType(Map<String, Object> queryMap);

    LastPriceInfoVO selectPriceByQuery(PriceTrendQueryVO priceTrendQueryVO);

    List<JcdVO> selectAllJcd(String priceType);

    WeeklyPriceVO selectPriceByWeeklyQuery(WeeklyReportVO weeklyReportVO);

    List<String> selectIndicatorType(PriceTrendQueryVO priceTrendQueryVO);

    List<TbjlDO> selectTrendChart(PriceTrendQueryVO priceTrendQueryVO);

    String selectPriceByMap(Map<String, Object> queryMap);
    String selectPriceByMapByZs(Map<String, Object> queryMap);

    List<PriceInfoVO> selectPriceByDay(PriceStatisticsInputVO priceStatisticsInputVO);

    PriceInfoVO selectDayPrice(PriceStatisticsInputVO priceStatisticsInputVO);

    Integer selectByPointAndTime(Map<String, Object> map);

    TbjlDO selectLastReport(TaskVO taskVO);

    List<TbjlDO> selectQuarterlyQuery(QuarterlyReportInputVO quarterlyReportInputVO);

    TbjlDO selectLastReportTime(PriceStatisticsInputVO priceStatisticsInputVO);

    Integer selectNumByQuery(Map<String, Object> map);

    void updateByMap(Map<String, Object> map);

    void updateLevel(Map<String, Object> map);

    StatisticsOutputVO selectStatistics(String orgId);

    int selectCountByExample(TbjlDO tbjlDO1);

    String selectPriceByCd(Map<String, Object> queryMap);

    String selectPriceByCdxzqhbm(Map<String, Object> queryMap);

	TbjlAvgDO queryAvgBqjg(String startDate, String endDate, String zbbm, String bblxid);

	TbjlAvgDO queryAvgBqjg(Map<String, Object> mapData);

	TbjlAvgDO queryAvgBqjgByCsjg(Map<String, Object> mapData);
	
	public List<ReportRecordDateVO> findReportDateList();
}
