/*
package com.unis.indicator.server.domain;

import com.unis.indicator.common.vo.PriceIndexQueryVO;
import com.unis.indicator.common.vo.PriceIndexVO;
import com.unis.indicator.common.vo.PriceIndexChartVO;
import com.unis.indicator.server.dao.*;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.*;


@Getter
@Setter
@Component
public class PriceIndexDomain {

	@Autowired
	private LyjgDao lyjgDao;
	@Autowired
	private LyjgmxDao lyjgmxDao;
	@Autowired
	private TbjlDao tbjlDao;
	@Autowired
	private QzzDao qzzDao;
	@Autowired
	private QzjcxxDao qzjcxxDao;
	@Autowired
	private JgzsDao jgzsDao;
	@Autowired
	private ZbDao zbDao;

	*/
/**
	 *功能描述 条件查询所有价格指数 --表
	 * @author wangqiang
	 * @date 2019/8/28 0028
	 * @param :[priceIndexQueryVO]
	 * @return java.util.List<com.unis.indicator.common.vo.PriceIndexVO>
	 *//*

	public Map<Object,Object>  findAllPriceIndex(PriceIndexQueryVO priceIndexQueryVO) {

		//价格类型
		String priceType = priceIndexQueryVO.getPriceType();

		//获取筛选条件中的时间
		Date startDate = priceIndexQueryVO.getStartDate();
		Date endDate = priceIndexQueryVO.getEndDate();

		Map<Object,Object> mm = new HashMap<>();//返回类型
		try {
			//处理时间参数
			DateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			List<String> list = PriceIndexDomain.getMonthBetween(sdf.format(startDate), sdf.format(endDate));

			//先区分指标类别
			//统计品种
			List<String> varieties = priceIndexQueryVO.getVarieties();
			//存放指标类别 -- 类别,品种list
			Map<String,List<String>> zblbs = new HashMap<>();
			for (String variety : varieties) {
				//根据品种区分指标类别
				String byVariety = lyjgDao.findByVariety(variety);
				//判断是否存在该键
				if (!zblbs.containsKey(byVariety)) {
					List<String> typys = new ArrayList<>();
					typys.add(variety);
					zblbs.put(byVariety,typys);
				}else{
					List<String> typys = zblbs.get(byVariety);
					typys.add(variety);
					zblbs.put(byVariety,typys);
				}
			}

			Map<String,Object> mapin = new HashMap<>();

			Map<String,Object> typeMap = new HashMap<>();

			//遍历类别集合分堆
			for (Map.Entry<String, List<String>> entry : zblbs.entrySet()) {
				List<String> value = entry.getValue();
				List<Map<String,Object>> ll = new ArrayList<>();
				for (String date : list) {//每个年月
					for (int i = 0; i < value.size(); i++) {
						String s = value.get(i);
						//查询当月价格指数
						Double zb = jgzsDao.findJgzsByPzmcAndMonth(s,date,priceType);
						mapin.put("aa"+i,zb);
						typeMap.put("aa"+i,s);
					}
					mapin.put("date",date);
					//立即拿住数据
					Map<String,Object> store = new HashMap<>();
					store.putAll(mapin);
					ll.add(store);
				}
				PriceIndexChartVO priceIndexChartVO = new PriceIndexChartVO();
				priceIndexChartVO.setJgMap(ll);
				priceIndexChartVO.setTypeMap(typeMap);
				if(entry.getKey() != null){
					mm.put(entry.getKey(),priceIndexChartVO);
				}

			}
		}catch (Exception e) {
			e.printStackTrace();
		}
		return mm;
	}

	public static List<String> getMonthBetween(String minDate, String maxDate) throws Exception {
		ArrayList<String> result = new ArrayList<String>();
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM");//格式化为年月

		Calendar min = Calendar.getInstance();
		Calendar max = Calendar.getInstance();

		min.setTime(sdf.parse(minDate));
		min.set(min.get(Calendar.YEAR), min.get(Calendar.MONTH), 1);

		max.setTime(sdf.parse(maxDate));
		max.set(max.get(Calendar.YEAR), max.get(Calendar.MONTH), 2);

		Calendar curr = min;
		while (curr.before(max)) {
			result.add(sdf.format(curr.getTime()));
			curr.add(Calendar.MONTH, 1);
		}
		return result;
	}

	*/
/**
	 *功能描述 条件查询所有价格指数 --折线图
	 * @author wangqiang
	 * @date 2019/8/28 0028
	 * @param :[priceIndexQueryVO]
	 * @return java.util.List<com.unis.indicator.common.vo.PriceIndexVO>
	 *//*

	public PriceIndexVO findAllPriceIndexTu(PriceIndexQueryVO priceIndexQueryVO) {
		//价格类型
		String priceType = priceIndexQueryVO.getPriceType();

		//获取筛选条件中的时间
		Date startDate = priceIndexQueryVO.getStartDate();
		Date endDate = priceIndexQueryVO.getEndDate();

		//存放   Map<String,List<Map<String, List<Double>>>>
		// <指标类别,list<品种,list<指数>>
		Map<String,Set<Map<String, List<Double>>>> mapList = new HashMap<>();

		PriceIndexVO priceIndexVO = new PriceIndexVO();
		try {
			//处理时间参数
			DateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			List<String> dateList = PriceIndexDomain.getMonthBetween(sdf.format(startDate), sdf.format(endDate));

			//统计品种
			List<String> varieties = priceIndexQueryVO.getVarieties();

			//===============================特殊数据============================
			Map<String,List<Double>> mm = new HashMap<>();
			//原综合
			if ("1".equals(priceIndexQueryVO.getYzh())) {
				//存放原综合值的list
				List<Double> doubleList = new ArrayList<>();
				//原综合求和
				double yzhSum = 0;
				for (String date : dateList) {//每个年月
					for (String variety : varieties) {
						//根据品种区分指标类别
						String byVariety = lyjgDao.findByVariety(variety);
						//====================================
						String type = "原综合" + variety;
						//权重代码
						String qzDM = qzjcxxDao.findQzDMByName(type);
						//计算原综合
						//根据权重代码查询权重值
						Double qzz = qzzDao.findQzzByQZDM(qzDM);
						//查询当月指标值
						Double zb = jgzsDao.findJgzsByPzmcAndMonth(variety, date, priceType);
						//原综合=原综合各品种对应权重×各品种对应指标值
						double yzh = (Double.valueOf(qzz)) * (Double.valueOf(zb));
						yzhSum += yzh;
					}
					doubleList.add(yzhSum);
				}
				mm.put("原综合",doubleList);
				priceIndexVO.setDoubleList(mm);
			}
			//08综合
			if ("1".equals(priceIndexQueryVO.getLbzh())) {
				//08综合求和
				//存放原综合值的list
				List<Double> doubleList = new ArrayList<>();
				double lbzhSum = 0;
				for (String date : dateList) {//每个年月
					for (String variety : varieties) {
						//根据品种区分指标类别
						String byVariety = lyjgDao.findByVariety(variety);

						String type = "08综合" + variety;
						//权重代码
						String qzDM = qzjcxxDao.findQzDMByName(type);
						//计算08综合
						//根据权重代码查询权重值
						Double qzz = qzzDao.findQzzByQZDM(qzDM);
						//查询当月指标值
						Double zb = jgzsDao.findJgzsByPzmcAndMonth(variety, date, priceType);
						//原综合=原综合各品种对应权重×各品种对应指标值
						double yzh = (Double.valueOf(qzz)) * (Double.valueOf(zb));
						lbzhSum += yzh;
					}
					doubleList.add(lbzhSum);
				}
				mm.put("08综合",doubleList);
				priceIndexVO.setDoubleList(mm);
			}



			//======================普通数据==========================
			Map<String, List<Double>> stringListMap = new HashMap<>();
			//根据品种遍历
			for (String variety : varieties) {
				//根据品种区分指标类别
				String byVariety = lyjgDao.findByVariety(variety);

				if(byVariety != null){
					//存放每种数据指数值
					List<Double> zsList = new ArrayList<>();

					for (String date : dateList) {//每个年月
						//查询当月指标值
						Double zb = jgzsDao.findJgzsByPzmcAndMonth(variety,date,priceType);
						zsList.add(zb);
					}
					stringListMap.put(variety,zsList);
					if (!mm.isEmpty()) {
						stringListMap.putAll(mm);
					}
					Set<Map<String, List<Double>>> listList = new HashSet<>();

					listList.add(stringListMap);
					//没有,新增.有则覆盖
					mapList.put(byVariety,listList);
				}


			}
			priceIndexVO.setSuperMap(mapList);
			priceIndexVO.setDateList(dateList);


		}catch (Exception e) {
			e.printStackTrace();
		}
		return priceIndexVO;
	}

	public Map<Object,Object> findAllPrice(PriceIndexQueryVO priceIndexQueryVO) {
	    //获取数据
        //整理返回格式
		//价格类型
		String priceType = priceIndexQueryVO.getPriceType();
		//获取筛选条件中的时间
		Date startDate = priceIndexQueryVO.getStartDate();
		Date endDate = priceIndexQueryVO.getEndDate();
		Map<Object,Object> mm = new HashMap<>();//返回类型
		try {
			//处理时间参数
			DateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			List<String> list = PriceIndexDomain.getMonthBetween(sdf.format(startDate), sdf.format(endDate));

			//先区分指标类别
			//统计品种
			List<String> varieties = priceIndexQueryVO.getVarieties();
			//存放指标类别 -- 类别,品种list
			Map<String,List<String>> zblbs = new HashMap<>();
			for (String variety : varieties) {

				//根据品种区分指标类别
				String byVariety = lyjgDao.findByVariety(variety);


				//判断是否存在该键


				if (!zblbs.containsKey(byVariety)) {
					List<String> typys = new ArrayList<>();
					typys.add(variety);
					zblbs.put(byVariety,typys);
				}else{
					List<String> typys = zblbs.get(byVariety);
					typys.add(variety);
					zblbs.put(byVariety,typys);
				}
			}

			Map<String,Object> mapin = new HashMap<>();

			//Map<Object,Object> mm = new HashMap<>();//返回类型

			Map<String,Object> typeMap = new HashMap<>();

			//遍历类别集合分堆
			for (Map.Entry<String, List<String>> entry : zblbs.entrySet()) {
				List<String> value = entry.getValue();
				List<Map<String,Object>> ll = new ArrayList<>();
				for (String date : list) {//每个年月
					for (int i = 0; i < value.size(); i++) {
						String s = value.get(i);
						//查询当月价格
						Double jg = jgzsDao.findJgByPzmcAndMonth(s, date, priceType);
						mapin.put("aa"+i,jg);
						//根据指标编码获取指标名称
						String name = zbDao.selectNameByBm(s);
						typeMap.put("aa"+i,name);
					}
					mapin.put("date",date);
					//立即拿住数据
					Map<String,Object> store = new HashMap<>();
					store.putAll(mapin);
					ll.add(store);
				}
				PriceIndexChartVO priceIndexChartVO = new PriceIndexChartVO();
				priceIndexChartVO.setJgMap(ll);
				priceIndexChartVO.setTypeMap(typeMap);
				if(entry.getKey() != null){
					mm.put(entry.getKey(),priceIndexChartVO);
				}
			}
		}catch (Exception e) {
			e.printStackTrace();
		}
		return mm;
	}
}

*/
