package com.unis.indicator.server.entity;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.MappedSuperclass;
import java.io.Serializable;
import java.util.Date;


/**
 * 基础实体类
 * 所有继承该实体类的实体在映射成表的时候会自动加入该类中的字段
 *
 * @author Garfield
 */
/**
 * @ClassName BaseEntity
 * @Description 基础实体类，所有继承该实体类的实体在映射成表的时候会自动加入该类中的字段
 * @Author tiechanglong
 * @Date 2019/7/22 17:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@MappedSuperclass
public abstract class BaseEntity implements Serializable {
    private static final long serialVersionUID = -5082401234492420871L;

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 创建时间
     */
    @Column(name="CREATE_TIME")
    private Date createTime;
    
    /**
     * 创建人id
     */
    @Column(name="CREATE_BY")
    private String createBy;

    /**
     * 修改时间
     */
    @Column(name="UPDATE_TIME")
    private Date updateTime;
    
    /**
     * 修改人
     */
    @Column(name="UPDATE_BY")
    private String updateBy;
    
    /**
     * 删除时间
     */
    @Column(name="DELETE_TIME")
    private Date deleteTime;
    
    /**
     * 删除人
     */
    @Column(name="DELETE_BY")
    private String deleteBy;

    /**
     * 组织机构id
     */
    @Column(name="ORG_ID")
    private String orgId;

    /**
     * 部门ID
     */
    @Column(name="DEPT_ID")
    private String deptId;

}
