package com.unis.indicator.server.entity.indicator;

import com.unis.common.utils.UUIDUtils;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @ClassName ZbjglxDO
 * @Description 指标与价格类型中间表实体类
 * @Author xmpu
 * @Date 2019/7/24 14:07
 * @Version 0.0.3
 **/
@Getter
@Setter
@Table(name = "IND_INDICATOR_PRICE")
public class ZbjglxDO {

    @Id
    @Column(name="ID")
    private String id = UUIDUtils.uuid();

    /**
     * 价格类型ID
     */
    @Column(name = "PRICE_ID")
    private String priceId;

    /**
     * 指标ID
     */
    @Column(name = "INDICATOR_ID")
    private String indicatorId;

    /**
     * 价格类型NAME
     */
    @Column(name = "PRICE_NAME")
    private String priceName;

    /**
     * 指标NAME
     */
    @Column(name = "INDICATOR_NAME")
    private String indicatorName;

    /**
     * 环比伐值
     */
    @Column(name = "MOM_VAL")
    private BigDecimal momVal;

    /**
     * 小数位数
     */
    @Column(name = "XSWS")
    private String decimalDigit;

    /**
     * 幅度提示
     */
    @Column(name = "FDTS")
    private String rangeTips;

    /**
     * 基准价格
     */
    @Column(name = "JZJG")
    private String standardPrice;

}
