package com.unis.indicator.server.entity.report;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Getter;
import lombok.Setter;

/**
 * 
 * @Description：指标价格填报
 * @author：王帅
 * @date: 2020年4月09
 */
@Getter
@Setter
@Entity
@Table(name = "price_index_reported")
public class ReportingOfIndexPriceDO implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
    private String id;

	@Column(name = "report_type_id")
	private String reportTypeId;
	
	@Column(name = "price_type_id")
	private String priceTypeId; // 价格类型主键
	
	@Column(name = "price_type_name")
	private String priceTypeName; // 价格类型名称

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sbkssj; // 上报开始时间

	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sbjssj; // 上报结束时间

	private String type; // 类型 日报 周报 月报

	@Column(name="create_time")
    private Date createTime;
}
