package com.unis.indicator.server.enums;

import lombok.Getter;

@Getter
public enum AuditingStatusEnum {

    NOT_SUBMITED("0", "未提交"),
    SUBMITED("1", "已提交"),
    PUBLISHED("6", "已发布"),
    UNPUBLISHED("7", "未发布"),
    NOT_AUDITING("3", "未审核"),
    APPROVAL("4", "审核通过"),
    REJECT("5", "驳回"),
    ;

    private String code;
    private String message;

    AuditingStatusEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static AuditingStatusEnum getByValue(String value){
        for(AuditingStatusEnum statusEnum : values()){
            if (statusEnum.getCode().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}