package com.unis.indicator.server.enums;

/**
 * 
 * @Description：报表类型
 * @author：王帅
 * @date: 2020年4月10日
 */
public enum ReportTypeEnum {

	DAILY("DAY", "日报"), WEEKLY("WEEK", "周报"), MONTHLY("MONTH", "月报"), PRICE("P", "价格"), INDEX("I", "指数");

	private String code;

	private String name;

	ReportTypeEnum(String code, String name) {
		this.code = code;
		this.name = name;
	}

	public static ReportTypeEnum getByCode(String code) {
		for (ReportTypeEnum reportType : values()) {
			if (reportType.getCode().equals(code)) {
				return reportType;
			}
		}
		return null;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
