package com.unis.indicator.server.excel.model;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 
 * @Description：指标价格报表数据Excel导入对象
 * @author：王帅
 * @date: 2020年4月13日 上午10:53:19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class PriceIndexReportModel extends BaseRowModel {

	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT-8")
	@ExcelProperty(value = "上报日期", index = 0)
	private Date reportDate;

	@ExcelProperty(value = "面粉", index = 1)
	private Double mf;

	@ExcelProperty(value = "大米", index = 2)
	private Double dm;

	@ExcelProperty(value = "玉米面", index = 3)
	private Double ymm;

	@ExcelProperty(value = "绿豆", index = 4)
	private Double ld;

	@ExcelProperty(value = "大豆", index = 5)
	private Double dd;

	@ExcelProperty(value = "一级豆油", index = 6)
	private Double yjdy;

	@ExcelProperty(value = "四级豆油", index = 7)
	private Double sjdy;

	@ExcelProperty(value = "花生油", index = 8)
	private Double hsy;

}
