package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.ContributeArticleVO;

import java.util.List;
import java.util.Map;

/**
 * @author xmpu
 * @version 1.0
 * @Title: ContributeArticleService
 * @ProjectName ContributeArticleService
 * @Description: 文章投稿service
 * @date 2019/7/24 17:04
 */
public interface ContributeArticleService {

    /**
     *
     * @Description: 通过id查询文章投稿信息
     * @author xmpu
     * @version v1.0
     *
     * @param id
     * @return ContributeArticleVO
     */
    public ContributeArticleVO findById(String id) throws Exception;

    /**
     *
     * @Description: 查询所有文章投稿信息 模糊查询的条件可以包含：名称
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @param page
     * @param size
     * @return Map
     * @throws Exception
     */
    public Map<String, Object> findByPage(ContributeArticleVO VO, Integer page, Integer size, String isUser) throws Exception;
  public Map<String, Object> findByPageBy(ContributeArticleVO VO, Integer page, Integer size, String isUser) throws Exception;

    /**
     *
     * @Description: 多选删除文章投稿
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param ids
     * @param userId
     * @return Boolean
     * @throws Exception
     */
    public boolean deletes(String[] ids, String userId) throws Exception;

    /**
     *
     * @Description: 保存文章投稿信息
     * @date 2019年7月24日,下午8:58:56
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean save(ContributeArticleVO VO) throws Exception;

    /**
     *
     * @Description: 更新文章投稿信息
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean update(ContributeArticleVO VO) throws Exception;

    public Map<String, Object> articleGather(ContributeArticleVO param, Integer page, Integer size) throws Exception;

    public Map<String, Object> articles(String orgId,String dateFrom,String dateTo, Integer page, Integer size) throws Exception;
    
    /**
	 * 
	 * @Description: 方法描述
	 * @author: 王帅
	 * @param: @param  id
	 * @param: @param  status
	 * @param: @return
	 * @param: @throws Exception 参数
	 * @return: boolean 返回类型
	 */
	public boolean updateArticleStatus(String id, String status) throws Exception;
}

