/*
 * DataFloatService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-11 15:36:32 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.indicator.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.indicator.common.vo.log.DataFloatVO;
import com.unis.indicator.server.entity.log.DataFloatDO;

/**
 * DATA_FLOAT-数据浮动记录表
 * @author lipenghe at 2020-08-11 15:36:32
 */
public interface DataFloatService {
    /**
    * <DATA_FLOAT-数据浮动记录表>选择性保存,包含新增和修改
    * @param dataFloatVO    <数据浮动记录表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 插入全部字段
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 选择性插入字段
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 更改状态
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(DataFloatVO dataFloatVO, String limit);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 根据实体某些属性更新全部字段
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(DataFloatVO dataFloatVO, String limit);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 根据实体不为空的属性,选择性更新字段
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(DataFloatVO dataFloatVO, String limit);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(DataFloatDO entity, String limit);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(DataFloatVO dataFloatVO, String limit);

    /**
    * <DATA_FLOAT-数据浮动记录表>
    * 根据实体(唯一标示)查询一条数据
    * @param dataFloatVO    <数据浮动记录表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , DataFloatVO dataFloatVO, String order);

    /**
    * <DATA_FLOAT-数据浮动记录表>
    * 根据实体的某些属性查询列表
    * @param dataFloatVO    <数据浮动记录表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(DataFloatVO dataFloatVO);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 根据实体的某些属性查询列表
     * @param entity    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(DataFloatDO entity);

    /**
     * <DATA_FLOAT-数据浮动记录表>
     * 根据实体查询初始化数据
     * @param dataFloatVO    <数据浮动记录表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(DataFloatVO dataFloatVO);

}