package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.bbzb.IndiBreedSpcVO;

import java.util.List;
import java.util.Map;

/**
 * @author xmpu
 * @version 1.0
 * @Title: IndiBreedSpcService
 * @ProjectName IndiBreedSpcService
 * @Description: 指标品牌规格service
 * @date 2019/7/24 17:04
 */
public interface IndiBreedSpcService {

    /**
     *
     * @Description: 通过id查询指标品牌规格信息
     * @author xmpu
     * @version v1.0
     *
     * @param id
     * @return IndiBreedSpcVO
     */
    public IndiBreedSpcVO findById(String id) throws Exception;

    public List<String> findByIndicatorId(String indicatorId) throws Exception;

    /**
     *
     * @Description: 查询所有指标品牌规格信息 模糊查询的条件可以包含：名称
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @param page
     * @param size
     * @return Map
     * @throws Exception
     */
    public Map<String, Object> findByPage(IndiBreedSpcVO VO, Integer page, Integer size) throws Exception;

    /**
     *
     * @Description: 多选删除指标品牌规格
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param ids
     * @param userId
     * @return Boolean
     * @throws Exception
     */
    public boolean deletes(String[] ids, String userId) throws Exception;

    /**
     *
     * @Description: 保存指标品牌规格信息
     * @date 2019年7月24日,下午8:58:56
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean save(IndiBreedSpcVO VO) throws Exception;

    /**
     *
     * @Description: 更新指标品牌规格信息
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean update(IndiBreedSpcVO VO) throws Exception;

}

