package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.JournalVO;

import java.util.Map;

/**
 * @author xmpu
 * @version 1.0
 * @Title: JournalService
 * @ProjectName JournalService
 * @Description: 期刊service
 * @date 2019/7/24 17:04
 */
public interface JournalService {

    /**
     *
     * @Description: 通过id查询期刊信息
     * @author xmpu
     * @version v1.0
     *
     * @param id
     * @return JournalVO
     */
    public JournalVO findById(String id) throws Exception;

    /**
     *
     * @Description: 查询所有期刊信息 模糊查询的条件可以包含：名称
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @param page
     * @param size
     * @return Map
     * @throws Exception
     */
    public Map<String, Object> findByPage(JournalVO VO, Integer page, Integer size) throws Exception;

    /**
     *
     * @Description: 多选删除期刊
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param ids
     * @param userId
     * @return Boolean
     * @throws Exception
     */
    public boolean deletes(String[] ids, String userId) throws Exception;

    /**
     *
     * @Description: 保存期刊信息
     * @date 2019年7月24日,下午8:58:56
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean save(JournalVO VO) throws Exception;

    /**
     *
     * @Description: 更新期刊信息
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean update(JournalVO VO) throws Exception;

}

