/*
 * LogDataChangeService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2020-08-06 15:42:51 created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.indicator.server.service;

import com.unis.common.utils.ResponseWrapper;
import com.unis.indicator.common.vo.log.LogDataChangeVO;
import com.unis.indicator.server.entity.log.LogDataChangeDO;

/**
 * LOG_DATA_CHANGE-数据变动日志表
 * @author lipenghe at 2020-08-06 15:42:51
 */
public interface LogDataChangeService {
    /**
    * <LOG_DATA_CHANGE-数据变动日志表>
    * 选择性保存,包含新增和修改
    * @param dataChangeVO    <数据变动日志表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper saveEntitySelectiveResult(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 插入全部字段
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 选择性插入字段
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 更改状态
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(LogDataChangeVO dataChangeVO, String limit);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 根据实体某些属性更新全部字段
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(LogDataChangeVO dataChangeVO, String limit);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 根据实体不为空的属性,选择性更新字段
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(LogDataChangeVO dataChangeVO, String limit);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(LogDataChangeDO entity, String limit);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(LogDataChangeVO dataChangeVO, String limit);

    /**
    * <LOG_DATA_CHANGE-数据变动日志表>
    * 根据实体(唯一标示)查询一条数据
    * @param dataChangeVO    <数据变动日志表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByIdResult(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , LogDataChangeVO dataChangeVO, String order);

    /**
    * <LOG_DATA_CHANGE-数据变动日志表>
    * 根据实体的某些属性查询列表
    * @param dataChangeVO    <数据变动日志表>对象
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    ResponseWrapper selectByEntityResult(LogDataChangeVO dataChangeVO);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 根据实体的某些属性查询列表
     * @param entity    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(LogDataChangeDO entity);

    /**
     * <LOG_DATA_CHANGE-数据变动日志表>
     * 根据实体查询初始化数据
     * @param dataChangeVO    <数据变动日志表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(LogDataChangeVO dataChangeVO);

}