package com.unis.indicator.server.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.indicator.common.vo.ReportRecordVO;

public interface MarketTrendService {

	/**
	 * @Description: 查询本周行情--查询上报开始、结束时间
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryReportTime(ReportRecordVO VO, Integer page, Integer size) throws Exception ;
	
	
	/**
	 * @Description: 查询本周行情--查询上国家局详情
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryCountryDetails(ReportRecordVO VO, Integer page, Integer size) throws Exception;
	
	/**
	 * @Description: 查询本周行情--查询库点详情
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPointDetails(ReportRecordVO VO, Integer page, Integer size) throws Exception;
	
	
	/**
	 * @Description: 查询价格走势--原粮
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPriceYl(ReportRecordVO VO) throws Exception;
	
	/**
	 * @Description: 查询价格走势--成品粮
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPriceCPL(ReportRecordVO VO) throws Exception ;
	
	/**
	 * @Description: 查询价格走势--食用油及油料
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPriceSYY(ReportRecordVO VO) throws Exception ;
	
	/**
	 * @Description: 查询价格走势--监测点原粮
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPricePointYL(ReportRecordVO VO) throws Exception;
	
	/**
	 * @Description: 查询价格走势--成品粮
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPricePointCPL(ReportRecordVO VO) throws Exception ;
	
	/**
	 * @Description: 查询价格走势-监测点食用油及油料
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPricePointSYY(ReportRecordVO VO) throws Exception ;
	
	/**
	 * @Description: 查询价格走势--原粮--指定价格
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPriceYLZD(ReportRecordVO VO) throws Exception;
	
	/**
	 * @Description: 查询价格走势--成品粮--指定价格
	 * @date 2019年8月28日15:00:44
	 * @author lifx
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public Map<String, Object> queryPriceCPLZD(ReportRecordVO VO) throws Exception;

	/**
	 * @Description: 工作台价格走势(每月均价)
	 * @date 2019/12/12 10:39
	 * @author yangshengjie
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public List<List> workbenchQueryPriceY(ReportRecordVO VO) throws Exception ;

	/**
	 * @Description: 工作台价格走势(品种多选)
	 * @date 2019/12/12 17:41
	 * @author yangshengjie
	 * @version v1.0
	 *
	 * @param VO
	 * @param page
	 * @param size
	 * @return Map
	 * @throws Exception
	 */
	public List workbenchQueryPriceM(ReportRecordVO VO) throws Exception ;

}
