package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.PriceTypeVO;

import java.util.List;
import java.util.Map;

/**
 * @author xmpu
 * @version 1.0
 * @Title: PriceTypeService
 * @ProjectName PriceTypeService
 * @Description: 价格类型service
 * @date 2019/7/24 17:04
 */
public interface PriceTypeService {

    /**
     *
     * @Description: 通过id查询价格类型信息
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param id
     * @return ZbDO
     */
    public PriceTypeVO findById(String id) throws Exception;

    public boolean findPriceTypeIndRel(String id) throws Exception;

    /**
     *
     * @Description: 查询所有价格类型信息 模糊查询的条件可以包含：名称
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @param page
     * @param size
     * @return Map
     * @throws Exception
     */
    public Map<String, Object> findByPage(PriceTypeVO VO, Integer page, Integer size) throws Exception;

    /**
     *
     * @Description: 多选删除
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param ids
     * @param userId
     * @return Boolean
     * @throws Exception
     */
    public boolean deletes(String[] ids, String userId) throws Exception;

    /**
     *
     * @Description: 保存价格类型类型信息
     * @date 2019年7月24日,下午8:58:56
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean save(PriceTypeVO VO) throws Exception;

    /**
     *
     * @Description: 更新价格类型类型
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean update(PriceTypeVO VO) throws Exception;

    public List<PriceTypeVO> findPriceWeightTypes() throws Exception;
}
