package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.IndicatorVO;
import com.unis.indicator.common.vo.bbzb.ReportConfigVO;
import com.unis.indicator.common.vo.bbzb.ReportIndicatorVO;

import java.util.List;
import java.util.Map;

/**
 * @author xmpu
 * @version 1.0
 * @Title: ReportIndicatorService
 * @ProjectName ReportIndicatorService
 * @Description: 报表指标service
 * @date 2019/7/24 17:04
 */
public interface ReportIndicatorService {

    /**
     *
     * @Description: 通过id查询报表指标信息
     * @author xmpu
     * @version v1.0
     *
     * @param id
     * @return ReportIndicatorVO
     */
    public ReportIndicatorVO findById(String id) throws Exception;

    public List<IndicatorVO> findByReportTypeId(String id) throws Exception;

    /**
     *
     * @Description: 查询所有报表指标信息 模糊查询的条件可以包含：名称
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @param page
     * @param size
     * @return Map
     * @throws Exception
     */
    public Map<String, Object> findByPage(ReportIndicatorVO VO, Integer page, Integer size) throws Exception;

    /**
     *
     * @Description: 多选删除报表指标
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param ids
     * @param userId
     * @return Boolean
     * @throws Exception
     */
    public boolean deletes(String[] ids, String userId) throws Exception;

    /**
     *
     * @Description: 保存报表指标信息
     * @date 2019年7月24日,下午8:58:56
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean save(ReportIndicatorVO VO) throws Exception;

    /**
     *
     * @Description: 更新报表指标信息
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean update(ReportIndicatorVO VO) throws Exception;

    public ReportConfigVO findZkbbpz(ReportConfigVO VO) throws Exception;

    public boolean saveOrUpdateZkbbpz(ReportConfigVO VO) throws Exception;

}

