package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.bbzb.ReportTypePriceVO;
import com.unis.indicator.common.vo.bbzb.ReportTypeVO;

import java.util.List;
import java.util.Map;

/**
 * @author xmpu
 * @version 1.0
 * @Title: WeeklyReportService
 * @ProjectName WeeklyReportService
 * @Description: 周刊报表类型service
 * @date 2019/7/24 17:04
 */
public interface ReportTypeService {

    /**
     *
     * @Description: 通过id查询周刊报表类型信息
     * @author xmpu
     * @version v1.0
     *
     * @param id
     * @return ReportTypeVO
     */
    public ReportTypeVO findById(String id) throws Exception;

    /**
     *
     * @Description: 查询所有周刊报表类型信息 模糊查询的条件可以包含：名称
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @param page
     * @param size
     * @return Map
     * @throws Exception
     */
    public Map<String, Object> findByPage(ReportTypeVO VO, Integer page, Integer size) throws Exception;

    /**
     *
     * @Description: 多选删除周刊报表类型
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param ids
     * @param userId
     * @return Boolean
     * @throws Exception
     */
    public boolean deletes(String[] ids, String userId) throws Exception;

    /**
     *
     * @Description: 保存周刊报表类型信息
     * @date 2019年7月24日,下午8:58:56
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean save(ReportTypeVO VO) throws Exception;

    /**
     *
     * @Description: 更新周刊报表类型信息
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean update(ReportTypeVO VO) throws Exception;

    /**
     *
     * @Description: 查询所有周刊报表类型信息去重
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @return List<ReportTypeVO>
     * @throws Exception
     */
    public List<ReportTypeVO> findDistinct() throws Exception;

    /**
     *
     * @Description: 查询指标对应勾选了的价格类型
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @return IndicatorStandardVO
     * @throws Exception
     */
    public ReportTypePriceVO findReportTypePriceType(String indicatorId) throws Exception;

    /**
     *
     * @Description: 价格类型与指标保存
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param vo
     * @return Boolean
     * @throws Exception
     */
    public boolean saveReportTypePriceType(ReportTypePriceVO vo) throws Exception;

}

