package com.unis.indicator.server.service;

import com.unis.indicator.common.vo.UnitVO;

import java.util.Map;

/**
 * @author xmpu
 * @version 1.0
 * @Title: UintService
 * @ProjectName UintService
 * @Description: 指标单位service
 * @date 2019/7/24 17:04
 */
public interface UnitService {

    /**
     *
     * @Description: 通过id查询指标单位信息
     * @author xmpu
     * @version v1.0
     *
     * @param id
     * @return UnitVO
     */
    public UnitVO findById(String id) throws Exception;

    public boolean findUnitIndRel(String id) throws Exception;

    /**
     *
     * @Description: 查询所有指标单位信息 模糊查询的条件可以包含：名称
     * @date 2019年7月24日,下午5:54:00
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @param page
     * @param size
     * @return Map
     * @throws Exception
     */
    public Map<String, Object> findByPage(UnitVO VO, Integer page, Integer size) throws Exception;

    /**
     *
     * @Description: 多选删除指标单位
     * @date 2019年7月24日,下午8:58:47
     * @author xmpu
     * @version v1.0
     *
     * @param ids
     * @param userId
     * @return Boolean
     * @throws Exception
     */
    public boolean deletes(String[] ids, String userId) throws Exception;

    /**
     *
     * @Description: 保存指标单位信息
     * @date 2019年7月24日,下午8:58:56
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean save(UnitVO VO) throws Exception;

    /**
     *
     * @Description: 更新指标单位信息
     * @date 2019年7月24日,下午8:59:05
     * @author xmpu
     * @version v1.0
     *
     * @param VO
     * @return boolean
     * @throws Exception
     */
    public boolean update(UnitVO VO) throws Exception;

}

