package com.unis.indicator.server.service.impl;

import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.bbzb.IndiBreedSpcVO;
import com.unis.indicator.server.domain.IndiBreedSpcDomain;
import com.unis.indicator.server.entity.indicator.ZbppggDO;
import com.unis.indicator.server.service.IndiBreedSpcService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @ClassName ZbppggServiceImpl
 * @Description 指标品牌规格服务
 * @Author xmpu
 * @Date 2019/7/24 17:07
 * @Version 0.0.1
 **/
@Service
public class IndiBreedSpcServiceImpl implements IndiBreedSpcService {

	@Autowired
	private IndiBreedSpcDomain domain;

	@Override
	public IndiBreedSpcVO findById(String id) throws Exception {
        IndiBreedSpcVO res =  LsBeanUtils.copyProperties(domain.findZbppggById(id), IndiBreedSpcVO.class);
		return res;
	}

	@Override
	public List<String> findByIndicatorId(String id) throws Exception {
		List<String> res = new ArrayList<>();
		List<ZbppggDO> resDO = domain.findZbppggByIndicatorId(id);
		for (ZbppggDO DO : resDO) {
			// 品牌
			if(!res.contains(DO.getBreedId())){
				res.add(DO.getBreedId());
			}
			// 规格
			if(!res.contains(DO.getSpecsId())){
				res.add(DO.getSpecsId());
			}
			// 指标
			if(!res.contains(DO.getIndicatorId())){
				res.add(DO.getIndicatorId());
			}
		}
		return res;
	}

	@Override
	public Map<String, Object> findByPage(IndiBreedSpcVO VO, Integer page, Integer size) throws Exception {
		return domain.findZbppggsByPage(VO, page, size);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean deletes(String[] ids, String userId) throws Exception {
		return domain.deleteZbppggs(ids, userId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean save(IndiBreedSpcVO VO) throws Exception {
		return domain.saveZbppgg(VO);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean update(IndiBreedSpcVO VO) throws Exception {
		return domain.updateZbppggPlace(VO);
	}

}
