package com.unis.indicator.server.service.impl;

import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.JournalVO;
import com.unis.indicator.server.domain.JournalDomain;
import com.unis.indicator.server.service.JournalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * @ClassName JournalServiceImpl
 * @Description 期刊服务
 * @Author xmpu
 * @Date 2019/7/24 17:07
 * @Version 0.0.1
 **/
@Service
public class JournalServiceImpl implements JournalService {

	@Autowired
	private JournalDomain domain;

	@Override
	public JournalVO findById(String id) throws Exception {
        JournalVO res =  LsBeanUtils.copyProperties(domain.findJournalById(id), JournalVO.class);
		return res;
	}

	@Override
	public Map<String, Object> findByPage(JournalVO VO, Integer page, Integer size) throws Exception {
		return domain.findJournalsByPage(VO, page, size);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean deletes(String[] ids, String userId) throws Exception {
		return domain.deleteJournals(ids, userId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean save(JournalVO VO) throws Exception {
		return domain.saveJournal(VO);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean update(JournalVO VO) throws Exception {
		return domain.updateJournal(VO);
	}

}
