package com.unis.indicator.server.service.impl;

import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.PriceTypeVO;
import com.unis.indicator.server.domain.PriceTypeDomain;
import com.unis.indicator.server.service.PriceTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PriceTypeServiceImpl
 * @Description 价格类型服务
 * @Author xmpu
 * @Date 2019/7/24 17:07
 * @Version 0.0.1
 **/
@Service
public class PriceTypeServiceImpl implements PriceTypeService {

	@Autowired
	private PriceTypeDomain domain;

	@Override
	public PriceTypeVO findById(String id) throws Exception {
        PriceTypeVO res = LsBeanUtils.copyProperties(domain.findPriceTypeById(id), PriceTypeVO.class);
        return res;
	}

	@Override
	public boolean findPriceTypeIndRel(String id) throws Exception{
		return domain.findPriceTypeIndRel(id);
	}

	@Override
	public Map<String, Object> findByPage(PriceTypeVO VO, Integer page, Integer size) throws Exception {
		return domain.findPriceTypesByPage(VO, page, size);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean deletes(String[] ids, String userId) throws Exception {
		return domain.deletePriceTypes(ids, userId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean save(PriceTypeVO VO) throws Exception {
		return domain.savePriceType(VO);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean update(PriceTypeVO VO) throws Exception {
		return domain.updatePriceType(VO);
	}

	@Override
	public List<PriceTypeVO> findPriceWeightTypes() throws Exception {
		return domain.findPriceWeightTypes();
	}
}
