package com.unis.indicator.server.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.unis.common.constant.JwtConstant;
import com.unis.common.utils.*;
import com.unis.indicator.common.vo.*;
import com.unis.indicator.common.vo.bbzb.ReportTypePriceVO;
import com.unis.indicator.common.vo.constant.IndicatorConstant;
import com.unis.indicator.common.vo.log.DataFloatVO;
import com.unis.indicator.common.vo.log.LogDataChangeVO;
import com.unis.indicator.common.vo.report.ReportRecordInfoCompareVO;
import com.unis.indicator.server.dao.LyjgDao;
import com.unis.indicator.server.dao.LyjgmxDao;
import com.unis.indicator.server.dao.TbjlDao;
import com.unis.indicator.server.domain.*;
import com.unis.indicator.server.entity.indicator.BblxDO;
import com.unis.indicator.server.entity.report.LyjgDO;
import com.unis.indicator.server.entity.report.LyjgmxDO;
import com.unis.indicator.server.entity.report.TbjlAvgDO;
import com.unis.indicator.server.entity.report.TbjlDO;
import com.unis.indicator.server.service.ReportRecordService;

import io.jsonwebtoken.Claims;
import io.jsonwebtoken.Jwts;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.collections.MapUtils;
import org.apache.commons.lang.StringUtils;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.xssf.usermodel.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;
import sun.tools.jar.Main;

import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;
import java.util.stream.Collectors;

@Service
@Slf4j
public class ReportRecordServiceImpl implements ReportRecordService {
    @Autowired
    private ReportRecordDomain reportRecordDomain;

    @Autowired
    private TbjlDao tbjlDao;

    @Autowired
    private LyjgmxDao lyjgmxDao;


    @Autowired
    private ReportTypeDomain reportTypeDomain;

    @Autowired
    private ReportTypeDomain domain;

    @Autowired
    private ContributeArticleDomain domain1;

    @Autowired
    LogDataChangeDomain logDataChangeDomain;

    @Autowired
    DataFloatDomain dataFloatDomain;

    @Override
    public Map<String, Object> findByQuery(ReportRecordVO bbvo) {
        return reportRecordDomain.findByQuery(bbvo);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Boolean save(ReportRecordInfoVO reportRecordInfoVO) {
        Integer count = reportRecordDomain.isReport(reportRecordInfoVO);
        if(count != null && count > 0){
            return false;
        }else{
            reportRecordDomain.saveBbInfo(reportRecordInfoVO);
            return true;
        }
    }

    @Override
    public ReportRecordInfoVO getById(String id) {
        return reportRecordDomain.getBbInfo(id);
    }

    @Override
    public ReportRecordInfoVO getOneByIdTj(String id,String jglx) {
        return reportRecordDomain.getTjbbInfo(id,jglx);
    }

    @Override
    public Map<String, Object> getByQuery(ReportRecordListVO reportRecordListVO, Integer page, Integer size) {
        return reportRecordDomain.getByQuery(reportRecordListVO,page,size);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void update(ReportRecordInfoVO reportRecordInfoVO) {
        reportRecordDomain.update(reportRecordInfoVO);
    }

    @Override
    public ReportRecordInfoVO lastInfo(ReportRecordListVO reportRecordListVO) {
        return reportRecordDomain.getLastInfoByQuery(reportRecordListVO);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Boolean saveQgjgzs(NationIndexReportInfoVO nationIndexReportInfoVO) {
        ReportRecordInfoVO reportRecordInfoVO = new ReportRecordInfoVO();
        reportRecordInfoVO.setBblxId(nationIndexReportInfoVO.getBblxId());
        reportRecordInfoVO.setOrgId(nationIndexReportInfoVO.getOrgId());
        reportRecordInfoVO.setSbkssj(nationIndexReportInfoVO.getSbkssj());
        Integer count = reportRecordDomain.isReport(reportRecordInfoVO);
        if(count != null && count > 0){
            return false;
        }else{
            reportRecordDomain.saveQgjgzs(nationIndexReportInfoVO);
            return true;
        }
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void updateQgjgzs(NationIndexReportInfoVO nationIndexReportInfoVO) {
        reportRecordDomain.updateQgjgzs(nationIndexReportInfoVO);
    }

    @Override
    public NationIndexReportInfoVO getQgjgzsById(String id) {
        return reportRecordDomain.getQgjgzsById(id);
    }

    @Override
    public Map<String, Object> getQgjgzsByQuery(ReportRecordListVO reportRecordListVO, Integer page, Integer size) {
        return reportRecordDomain.getQgjgzsByQuery(reportRecordListVO, page, size);
    }

   /* @Override
    public LastReportRecordInfoVO lastInfot(ReportRecordListVO reportRecordListVO) {
        return reportRecordDomain.lastInfot(reportRecordListVO);
    }*/

    @Override
    public Boolean saveOne(ReportRecordInfoVO reportRecordInfoVO) throws ParseException {
        boolean doNext=false;
        String sbjssj=reportRecordInfoVO.getSbjssj();
        if(StringUtils.isNotEmpty(sbjssj)){
            SimpleDateFormat simpleDateFormat=new SimpleDateFormat("yyyy-MM-dd");
            sbjssj=sbjssj.trim();
            Date endDate=simpleDateFormat.parse(sbjssj);
            Date now=new Date();
            if(endDate.compareTo(now)>=0){
                doNext=false;
            }else{
                doNext=true;
            }
        }

        if(doNext){
            Integer count = reportRecordDomain.isReport(reportRecordInfoVO);
            if(count != null && count > 0){
                return false;
            }else{
                //监控价格波动
                floatCheck(reportRecordInfoVO,null);
                reportRecordDomain.saveOne(reportRecordInfoVO);
                return true;
            }
        }else{
            return false;
        }
    }

    @Override
    public ResponseWrapper updateOne(ReportRecordInfoVO reportRecordInfoVO) throws ParseException {

        boolean doNext=false;
        String sbjssj=reportRecordInfoVO.getSbjssj();
        if(StringUtils.isNotEmpty(sbjssj)){
            SimpleDateFormat simpleDateFormat=new SimpleDateFormat("yyyy-MM-dd");
            sbjssj=sbjssj.trim();
            Date endDate=simpleDateFormat.parse(sbjssj);
            Date now=new Date();
            if(endDate.compareTo(now)>=0){
                doNext=false;
            }else{
                doNext=true;
            }
        }

        if(doNext){
            ReportRecordInfoVO recordInfoVO = reportRecordDomain.selectById(reportRecordInfoVO.getId());
            String orgId=CurrentUtil.getOrgId();
            if(recordInfoVO!=null && IndicatorConstant.LOG_ORGID.equals(orgId)){
                ReportRecordInfoCompareVO reportRecordInfoCompareVODb=
                        JsonUtils.parse(JsonUtils.serialize(recordInfoVO), ReportRecordInfoCompareVO.class);
                ReportRecordInfoCompareVO reportRecordInfoCompareVO=
                        JsonUtils.parse(JsonUtils.serialize(reportRecordInfoVO), ReportRecordInfoCompareVO.class);
                String dataPast=JsonUtils.serialize(reportRecordInfoCompareVODb);
                String dataNow=JsonUtils.serialize(reportRecordInfoCompareVO);
                HttpServletRequest request = RequestUtils.getRequest();
                String ua=null;
                String forwardedIp=null;
                String modUser=null,modUserId=null;
                if(request!=null){
                    modUser=CurrentUtil.getUserName();
                    modUserId=CurrentUtil.getUserId();
                    ua=request.getHeader("user-agent");
                    forwardedIp = request.getHeader("x-forwarded-for");
                    String remoteIp = request.getRemoteAddr();
                    if(StringUtils.isNotEmpty(forwardedIp)){
                        if(!forwardedIp.contains(remoteIp)){
                            forwardedIp=forwardedIp+","+remoteIp;
                        }
                    }else{
                        forwardedIp=remoteIp;
                    }
                }
                if(! dataPast.equals(dataNow)){
                    List<PriceInfoVO> listWeb = reportRecordInfoVO.getPriceInfoVOList();

                    List<PriceInfoVO> listDb = recordInfoVO.getPriceInfoVOList();
                    Map<String, PriceInfoVO> map=listDb.stream().collect(
                            Collectors.toMap(a->a.getZbbm()+"_"+a.getJlbzbm()
                                    +StringUtils.defaultIfEmpty(a.getPpbm(),"")+
                                    StringUtils.defaultIfEmpty(a.getGg(),""),a->a,(k1,k2)->k1));

                    String key=null;
                    PriceInfoVO pastPrice=null;
                    for(PriceInfoVO nowPrice : listWeb) {
                        key = nowPrice.getZbbm() + "_" + nowPrice.getJlbzbm()
                                +StringUtils.defaultIfEmpty(nowPrice.getPpbm(),"")
                                +StringUtils.defaultIfEmpty(nowPrice.getGg(),"");
                        pastPrice=map.get(key);
                        if(pastPrice!=null && nowPrice.getBqjg()!=null
                                && (!String.valueOf(nowPrice.getBqjg()).equals(String.valueOf(pastPrice.getBqjg()))
                                || !String.valueOf(nowPrice.getBqsl()).equals(String.valueOf(pastPrice.getBqsl())))
                                || !String.valueOf(nowPrice.getBdyy()).equals(String.valueOf(pastPrice.getBdyy())) ){
                            LogDataChangeVO dataChangeVO=new LogDataChangeVO();
                            //dataChangeVO.setDataPast(JsonUtils.serialize(reportRecordInfoCompareVODb));
                            //dataChangeVO.setDataNow(JsonUtils.serialize(recordInfoVO));

                            dataChangeVO.setPriceType(recordInfoVO.getBblxmc());
                            dataChangeVO.setPriceTypeId(recordInfoVO.getBblxId());
                            dataChangeVO.setReportOrg(recordInfoVO.getDeptName());
                            dataChangeVO.setReportOrgId(recordInfoVO.getDeptId());

                            dataChangeVO.setDataId(pastPrice.getId());
                            dataChangeVO.setParentId(reportRecordInfoVO.getId());
                            dataChangeVO.setGrade(pastPrice.getJlbz());
                            dataChangeVO.setGradeId(pastPrice.getJlbzbm());
                            dataChangeVO.setVariety(pastPrice.getPzmc());
                            dataChangeVO.setVarietyId(pastPrice.getZbbm());
                            dataChangeVO.setReportTime(reportRecordInfoVO.getReportTime());
                            dataChangeVO.setPriceNow(String.valueOf(nowPrice.getBqjg()));
                            dataChangeVO.setPricePast(String.valueOf(pastPrice.getBqjg()));
                            dataChangeVO.setNumNow(String.valueOf(nowPrice.getBqsl()));
                            dataChangeVO.setNumPast(String.valueOf(pastPrice.getBqsl()));
                            dataChangeVO.setReasonPast(pastPrice.getBdyy());
                            dataChangeVO.setReasonNow(nowPrice.getBdyy());
                            dataChangeVO.setReason(nowPrice.getReason());

                            dataChangeVO.setUseragent(ua);
                            dataChangeVO.setIp(forwardedIp);
                            dataChangeVO.setModUser(modUser);
                            dataChangeVO.setModUserId(modUserId);
                            logDataChangeDomain.insertEntitySelective(dataChangeVO);
                        }
                    }
                }
            }

            if(recordInfoVO!=null && !"0".equals(recordInfoVO.getLcid())){
                //监控价格波动
                floatCheck(reportRecordInfoVO,recordInfoVO);

                reportRecordInfoVO.setUpdateTime(new Date());
                reportRecordInfoVO.setUpdateBy(CurrentUtil.getUserName());
                reportRecordDomain.updateOne(reportRecordInfoVO);
                ReportRecordInfoVO report = reportRecordDomain.getOneById(reportRecordInfoVO.getId());
                if(report!=null){
                    //下周数据查询和处理
                    List<PriceInfoVO> list = report.getPriceInfoVOList();
                    Map<String, PriceInfoVO> map=list.stream().collect(Collectors.toMap(a->a.getZbbm()+"_"+a.getJlbzbm()
                            +StringUtils.defaultIfEmpty(a.getPpbm(),"")
                            +StringUtils.defaultIfEmpty(a.getGg(),""),a->a,(k1,k2)->k1));
                    String startTimeStr = report.getSbkssj();
                    String endTimeStr = report.getSbjssj();
                    SimpleDateFormat sdf =new SimpleDateFormat("yyyy-MM-dd");
                    try {
                        Date startTime=sdf.parse(startTimeStr);
                        Date endTime=sdf.parse(endTimeStr);
                        Date startTimeNew= getNextWeek(startTime);
                        Date endTimeNew= getNextWeek(endTime);
                        String bblxId=report.getBblxId();
                        TbjlDO tbjlDO=new TbjlDO();
                        tbjlDO.setBblxId(bblxId);
                        tbjlDO.setSbkssj(startTimeNew);
                        tbjlDO.setSbjssj(endTimeNew);
                        tbjlDO.setDeptId(report.getDeptId());
                        ReportRecordInfoVO reportRecordInfoVODb = reportRecordDomain.selectByServiceId(tbjlDO);
                        if(reportRecordInfoVODb!=null){
                            List<PriceInfoVO> listNew= reportRecordInfoVODb.getPriceInfoVOList();
                            String key=null;
                            Double sqjg=null;
                            for(PriceInfoVO priceInfoVO : listNew){
                                key=priceInfoVO.getZbbm()+"_"+priceInfoVO.getJlbzbm()
                                        +StringUtils.defaultIfEmpty(priceInfoVO.getPpbm(),"")
                                        +StringUtils.defaultIfEmpty(priceInfoVO.getGg(),"");
                                if(map.containsKey(key)){
                                    sqjg= map.get(key).getBqjg();
                                    if(sqjg!=null && sqjg!= priceInfoVO.getSqjg()){
                                        priceInfoVO.setSqjg(sqjg);
                                        LyjgmxDO lyjgmxDO = new LyjgmxDO();
                                        LsBeanUtils.copyPropertiesIgnoreNull(priceInfoVO, lyjgmxDO);
                                        lyjgmxDO.setId(priceInfoVO.getLyjgmxId());
                                        lyjgmxDO.setLyjgId(priceInfoVO.getId());
                                        //保存粮油价格信息
                                        lyjgmxDao.updateByEntity(lyjgmxDO);
                                    }
                                }
                            }
                        }
                    } catch (ParseException e) {
                        e.printStackTrace();
                        return ResponseWrapper.error();
                    }
                }
                return ResponseWrapper.success();
            }else{
                return ResponseWrapper.error("超过填报期限,无法修改");
            }
        }else{
            return ResponseWrapper.error("未到填报周期");
        }
    }

    public void floatCheck(ReportRecordInfoVO reportRecordInfoVO,ReportRecordInfoVO recordInfoVO){
        String lcid=reportRecordInfoVO.getLcid();
        String orgId=CurrentUtil.getOrgId();
        if((StringUtils.isNotEmpty(lcid)) && "2".equals(lcid) || IndicatorConstant.LOG_ORGID.equals(orgId)){
            String startTimeStr = reportRecordInfoVO.getSbkssj();
            String endTimeStr = reportRecordInfoVO.getSbjssj();
            SimpleDateFormat sdf =new SimpleDateFormat("yyyy-MM-dd");
            try {
                Date startTime = sdf.parse(startTimeStr);
                Date endTime = sdf.parse(endTimeStr);
                Date startTimeNew = getLastWeek(startTime);
                Date endTimeNew = getLastWeek(endTime);
                String bblxId=null;
                TbjlDO tbjlDO=new TbjlDO();
                tbjlDO.setSbkssj(startTimeNew);
                tbjlDO.setSbjssj(endTimeNew);
                if(recordInfoVO==null){
                    bblxId=reportRecordInfoVO.getBblxId();
                    tbjlDO.setOrgId(CurrentUtil.getOrgId());
                }else{
                    bblxId=recordInfoVO.getBblxId();
                    tbjlDO.setOrgId(recordInfoVO.getOrgId());
                }
                tbjlDO.setBblxId(bblxId);

                ReportRecordInfoVO reportRecordInfoVODb = reportRecordDomain.selectByServiceId(tbjlDO);
                if(reportRecordInfoVODb!=null){
                    List<PriceInfoVO> listPast= reportRecordInfoVODb.getPriceInfoVOList();
                    /*Map<String, PriceInfoVO> map=listPast.stream().collect(Collectors.toMap(a->a.getZbbm()+"_"+a.getJlbzbm(),a->a,(k1,k2)->k1));*/
                    Map<String, PriceInfoVO> map=new HashMap<>();
                    for(PriceInfoVO  priceInfoVO : listPast){
                        if(priceInfoVO.getBqjg()!=null && priceInfoVO.getBqjg().compareTo(0d)!=0){
                            map.put(priceInfoVO.getZbbm()+"_"+priceInfoVO.getJlbzbm()
                                    +StringUtils.defaultIfEmpty(priceInfoVO.getPpbm(),"")
                                    +StringUtils.defaultIfEmpty(priceInfoVO.getGg(),""),priceInfoVO);
                        }
                    }
                    System.out.println(JsonUtils.serialize(listPast));
                    System.out.println(JsonUtils.serialize(map));

                    List<PriceInfoVO> listNow= reportRecordInfoVO.getPriceInfoVOList();
                    String key=null;
                    Double bqjg=null;
                    Double sqjg=null;
                    PriceInfoVO pricePast=null;
                    for(PriceInfoVO priceNow : listNow){
                        key=priceNow.getZbbm()+"_"+priceNow.getJlbzbm()
                                +StringUtils.defaultIfEmpty(priceNow.getPpbm(),"")
                                +StringUtils.defaultIfEmpty(priceNow.getGg(),"");
                        pricePast=map.get(key);
                        bqjg=priceNow.getBqjg();
                        if(pricePast!=null &&  bqjg!=null && ((sqjg=pricePast.getBqjg())!=null) && sqjg.compareTo(0d)!=0){
                            if(Math.abs(bqjg-sqjg)/sqjg>=0.15d){
                                DataFloatVO dataFloatVO=new DataFloatVO();
                                dataFloatVO.setDataId(priceNow.getId());
                                dataFloatVO.setParentId(reportRecordInfoVO.getId());
                                dataFloatVO.setPercent(String.format("%.2f",(100*(bqjg-sqjg)/sqjg))+"%");
                                dataFloatVO.setGrade(priceNow.getJlbz());
                                dataFloatVO.setGradeId(priceNow.getJlbzbm());
                                dataFloatVO.setPriceType(reportRecordInfoVODb.getBblxmc());
                                dataFloatVO.setPriceTypeId(reportRecordInfoVODb.getBblxId());
                                dataFloatVO.setVariety(priceNow.getPzmc());
                                dataFloatVO.setVarietyId(priceNow.getZbbm());
                                dataFloatVO.setReportOrg(reportRecordInfoVODb.getOrgName());
                                dataFloatVO.setReportOrgId(reportRecordInfoVODb.getOrgId());
                                dataFloatVO.setReportTime(reportRecordInfoVO.getReportTime());
                                dataFloatVO.setPricePast(String.valueOf(pricePast.getBqjg()));
                                dataFloatVO.setPriceNow(String.valueOf(priceNow.getBqjg()));
                                dataFloatVO.setDataStamp(String.valueOf(System.currentTimeMillis()));
                                dataFloatVO.setReason(priceNow.getReason());
                                dataFloatDomain.insertEntitySelective(dataFloatVO);
                            }else{
                                log.info("变动在安全范围内,{},{}",sdf.format(startTimeNew),sdf.format(endTimeNew));
                            }
                        }
                    }
                }else{
                    log.error("找不到上期数据,{},{}",sdf.format(startTimeNew),sdf.format(endTimeNew));
                }
            }catch (Exception e){
                e.printStackTrace();
            }
        }
    }

    @Override
    public ReportRecordInfoVO getOneById(String id) {
        return reportRecordDomain.getOneById(id);
    }

    @Override
    public void updateStatus(ReportRecordStatusVo reportRecordStatusVo) {
        reportRecordDomain.updateStatus(reportRecordStatusVo);
    }

    @Override
    public Map<String, Object> getRejectReport(String bblxId, String pointId) {
        Map<String,Object> resultMap = new HashMap();
        Map<String,Object> map = reportRecordDomain.getRejectReport(bblxId,pointId);
        //最下层检测点获取当期驳回报表信息
        if((int)map.get("type") == 1){
            resultMap.put("list",null);
            resultMap.put("type",1);
            if(map.get("tbjlDOList") != null){
                List<TbjlDO> tbjlDOList = (List<TbjlDO>)map.get("tbjlDOList");
                if(tbjlDOList != null && tbjlDOList.size()>0){
                    ReportRecordInfoVO reportRecordInfoVO = reportRecordDomain.getBbInfo(tbjlDOList.get(0).getId());
                    resultMap.put("info", reportRecordInfoVO);
                }else{
                    resultMap.put("info",null);
                }
            }else{
                resultMap.put("info",null);
            }
        }
        return resultMap;
    }
    @Override
    public Map<String, Object> getRejectReportBy(String bblxId, String pointId) {
        Map<String,Object> resultMap = new HashMap();
        Map<String,Object> map = reportRecordDomain.getRejectReportBy(bblxId,pointId);
        //最下层检测点获取当期驳回报表信息
        if((int)map.get("type") == 1){
            resultMap.put("list",null);
            resultMap.put("type",1);
            if(map.get("tbjlDOList") != null){
                List<TbjlDO> tbjlDOList = (List<TbjlDO>)map.get("tbjlDOList");
                if(tbjlDOList != null && tbjlDOList.size()>0){
                    ReportRecordInfoVO reportRecordInfoVO = reportRecordDomain.getBbInfo(tbjlDOList.get(0).getId());
                    resultMap.put("info", reportRecordInfoVO);
                }else{
                    resultMap.put("info",null);
                }
            }else{
                resultMap.put("info",null);
            }
        }
        return resultMap;
    }
    @Override
    public Map<String, Object> getTjStatistics(StatisticsInputVO statisticsInputVO) {
        return reportRecordDomain.getTjStatistics(statisticsInputVO);
    }


    @Override
    public Map<String, Object> getTjStatisticsInfo(StatisticsInputVO statisticsInputVO) {
        return reportRecordDomain.getTjStatisticsInfo(statisticsInputVO);
    }

    @Override
    public Map<String, Object> getNmStatistics(StatisticsInputVO statisticsInputVO) {
        return reportRecordDomain.getNmStatistics(statisticsInputVO);
    }

    @Override
    public Map<String, Object> getPriceDay(PriceStatisticsInputVO priceStatisticsInputVO) {
        return reportRecordDomain.getPriceDay(priceStatisticsInputVO);
    }

    @Override
    public Map<String, Object> getPriceWeek(PriceStatisticsInputVO priceStatisticsInputVO) {
        return reportRecordDomain.getPriceWeek(priceStatisticsInputVO);
    }

    @Override
    public Map<String, Object> getPriceMonth(PriceStatisticsInputVO priceStatisticsInputVO) {
        return reportRecordDomain.getPriceMonth(priceStatisticsInputVO);
    }

    @Override
    public Map<String, Object> getPriceTrend(PriceTrendQueryVO priceTrendQueryVO) {
        return reportRecordDomain.getPriceTrend(priceTrendQueryVO);
    }

    @Override
    public Map<String, Object> getPriceTrendTj(PriceTrendQueryVO priceTrendQueryVO) {
        return reportRecordDomain.getPriceTrendTj(priceTrendQueryVO);
    }

    @Override
    public Map<String, Object> getPriceTrendCT(PriceTrendQueryVO priceTrendQueryVO) {
        return reportRecordDomain.getPriceTrendCT(priceTrendQueryVO);
    }

    public ReportRecordInfoVO reportOneLastest(PriceTrendQueryVO vo) {
        ReportRecordInfoVO reportRecordInfoVO=  reportRecordDomain.reportOneLastest(vo);
        	if(CollectionUtils.isEmpty(reportRecordInfoVO.getPriceInfoVOList())){
                List<ReportTypeIndicatorVO> reportTypeIndicatorVOList = reportRecordDomain.getHistoryPrice(vo);
                List<PriceInfoVO> priceInfoVOList =JsonUtils.parseList(JsonUtils.serialize(reportTypeIndicatorVOList),PriceInfoVO.class);
			/*
			 * List<TbjlAvgDO> tb=tbjlDao.selectAvg(vo); Map<String,TbjlAvgDO>
			 * map=tb.stream().collect( Collectors.toMap(TbjlAvgDO :: getZbbm, a -> a));
			 * TbjlAvgDO tbjlAvgDO=null; for(PriceInfoVO price : priceInfoVOList){
			 * tbjlAvgDO=map.get(price.getZbbm()); if(tbjlAvgDO!=null){
			 * price.setPjjg(tbjlAvgDO.getBqjg()); } // 判断取平均值(月)
			 * if(vo.getPriceDateType().equals("月报")) { Map<String,Object> mapData = new
			 * HashMap<>(); mapData.put("zbbm", price.getZbbm()); mapData.put("startDate",
			 * vo.getStartDate()); mapData.put("endDate", vo.getEndDate());
			 * if(vo.getPriceType().equals("XXzDEKxWnuvvcdX7c2H")) { //集贸零售价格
			 * mapData.put("bblxid", "BPgRZ6VVTcJs0sVmQ9S"); TbjlAvgDO avgDo =
			 * tbjlDao.queryAvgBqjg(mapData); if(avgDo != null) {
			 * price.setBqjg(avgDo.getBqjg()); } }else
			 * if(vo.getPriceType().equals("Te9PwGQFJvoPK63B5Ck")){ //集贸批发价格
			 * mapData.put("bblxid", "JAqcOZ136Tp8lFyuFlV"); TbjlAvgDO avgDo =
			 * tbjlDao.queryAvgBqjg(mapData); if(avgDo != null) {
			 * price.setBqjg(avgDo.getBqjg()); } }else
			 * if(vo.getPriceType().equals("nOClfCRJdCR3hIDLb9Z")) { //超市价格
			 * 
			 * mapData.put("xh", price.getXh().toString()); TbjlAvgDO avgDo =
			 * tbjlDao.queryAvgBqjgByCsjg(mapData); if(avgDo != null) {
			 * price.setBqjg(avgDo.getBqjg()); }
			 * 
			 * } } }
			 */
                reportRecordInfoVO.setPriceInfoVOList(priceInfoVOList);
            }
        return reportRecordInfoVO;
    }

    @Override
    public Map<String,Object> getHistoryPrice(PriceTrendQueryVO priceTrendQueryVO) throws ParseException {
        Map<String,Object> resultMap = new HashMap<>();
        List<ReportTypeIndicatorVO> reportTypeIndicatorVOList = reportRecordDomain.getHistoryPrice(priceTrendQueryVO);
        if(reportTypeIndicatorVOList != null){
            if(priceTrendQueryVO.getPriceDateType() != null){
                if(priceTrendQueryVO.getPriceDateType().equals("日报")){
                    Map<String,Object> map = reportRecordDomain.getWeekDate1();
                    Date monday = (Date) map.get("mondayDate");
                    Date sunday = (Date)map.get("sundayDate");
                    String todayWeek = DateUtil.getDateToWeek(new Date());
                    if(todayWeek.equals("星期一") || todayWeek.equals("星期二") || todayWeek.equals("星期三") || todayWeek.equals("星期四")){
                        monday = reportRecordDomain.getLastWeekDate((Date) map.get("mondayDate"));
                        sunday = reportRecordDomain.getLastWeekDate((Date)map.get("sundayDate"));
                    }/*else if (todayWeek.equals("星期四")){
                        //之前的逻辑大概是,超过几点就是下周了
                        //boolean flag = compareTime(16);
                        *//*if (flag){
                            monday = reportRecordDomain.getLastWeekDate((Date) map.get("mondayDate"));
                            sunday = reportRecordDomain.getLastWeekDate((Date)map.get("sundayDate"));
                        }*//*
                        monday = reportRecordDomain.getLastWeekDate((Date) map.get("mondayDate"));
                        sunday = reportRecordDomain.getLastWeekDate((Date)map.get("sundayDate"));
                    }*/else{
                        System.out.println("todayWeek:"+todayWeek);
                    }
                    System.out.println("sbkssj"+monday+"   sbjssj:   "+sunday  );
                    resultMap.put("sbkssj",reportRecordDomain.getDay(monday));
                    resultMap.put("sbjssj",reportRecordDomain.getDay(sunday));
                    for (int i = 0; i < reportTypeIndicatorVOList.size(); i++) {
                        PriceTrendQueryVO priceTrendQueryVO1 = new PriceTrendQueryVO();
                        LsBeanUtils.copyPropertiesIgnoreNull(priceTrendQueryVO,priceTrendQueryVO1);
                        priceTrendQueryVO1.setIndicator(reportTypeIndicatorVOList.get(i).getPzmc());
                        if(reportTypeIndicatorVOList.get(i).getPp() != null){
                            priceTrendQueryVO1.setPp(reportTypeIndicatorVOList.get(i).getPp());
                        }
                        if(reportTypeIndicatorVOList.get(i).getGg() != null){
                            priceTrendQueryVO1.setGg(reportTypeIndicatorVOList.get(i).getGg());
                        }
                        if(reportTypeIndicatorVOList.get(i).getJlbz() != null){
                            priceTrendQueryVO1.setJlbz(reportTypeIndicatorVOList.get(i).getJlbz());
                        }
                        //根据价格类型、检测点、指标获取最后一次上报的指标价格
                        LastPriceInfoVO lastPriceInfoVO = reportRecordDomain.getLastPrice(priceTrendQueryVO1);
                        if(lastPriceInfoVO != null){
                            reportTypeIndicatorVOList.get(i).setSqjg(lastPriceInfoVO.getSqjg());
                            reportTypeIndicatorVOList.get(i).setSbsl(lastPriceInfoVO.getSbsl());
                            reportTypeIndicatorVOList.get(i).setBqjg(lastPriceInfoVO.getSqjg());
                            reportTypeIndicatorVOList.get(i).setBqsl(lastPriceInfoVO.getSbsl());
                        }
                    }
                }else if(priceTrendQueryVO.getPriceDateType().equals("周报")){
                    if(priceTrendQueryVO.getStartDate() == null || priceTrendQueryVO.getStartDate().equals("")){
                        Map<String,Object> map = reportRecordDomain.getWeekDate();
                        priceTrendQueryVO.setStartDate((String)map.get("mondayTime"));
                        priceTrendQueryVO.setEndDate((String)map.get("sundayTime"));
                        resultMap.put("sbkssj",(String)map.get("mondayTime"));
                        resultMap.put("sbjssj",(String)map.get("sundayTime"));
                    }
                    //查询指定周的指标对应平均价格
                    for (int i = 0; i < reportTypeIndicatorVOList.size(); i++) {
                        PriceTrendQueryVO priceTrendQueryVO1 = new PriceTrendQueryVO();
                        LsBeanUtils.copyPropertiesIgnoreNull(priceTrendQueryVO,priceTrendQueryVO1);
                        priceTrendQueryVO1.setIndicator(reportTypeIndicatorVOList.get(i).getZbbm());
                        if(reportTypeIndicatorVOList.get(i).getPp() != null){
                            priceTrendQueryVO1.setPp(reportTypeIndicatorVOList.get(i).getPp());
                        }
                        if(reportTypeIndicatorVOList.get(i).getGg() != null){
                            priceTrendQueryVO1.setGg(reportTypeIndicatorVOList.get(i).getGg());
                        }
                        //根据价格类型、时间、指标获取平均价
                        LastPriceInfoVO lastPriceInfoVO = reportRecordDomain.getWeekPrice(priceTrendQueryVO1);
                        if(lastPriceInfoVO != null){
                            if(lastPriceInfoVO.getSqjg() != null){
                                reportTypeIndicatorVOList.get(i).setBqjg(Double.parseDouble(reportRecordDomain.getDoubleString(lastPriceInfoVO.getSqjg())));
                            }
                        }
                    }
                }else if(priceTrendQueryVO.getPriceDateType().equals("月报")){
                    if(priceTrendQueryVO.getStartDate() == null || priceTrendQueryVO.getStartDate().equals("")){
                        Map<String,Object> map = reportRecordDomain.getNowMonthTime();
                        priceTrendQueryVO.setStartDate((String)map.get("startTime"));
                        priceTrendQueryVO.setEndDate((String)map.get("endTime"));
                        resultMap.put("sbkssj",(String)map.get("startTime"));
                        resultMap.put("sbjssj",(String)map.get("endTime"));
                    }
                    String time = priceTrendQueryVO.getStartDate();
                    String endTime = priceTrendQueryVO.getEndDate();
                    //根据价格类型、时间、指标获取平均价
                    for (int i = 0; i < reportTypeIndicatorVOList.size(); i++) {
                        PriceTrendQueryVO priceTrendQueryVO1 = new PriceTrendQueryVO();
                        LsBeanUtils.copyPropertiesIgnoreNull(priceTrendQueryVO,priceTrendQueryVO1);
                        if(reportTypeIndicatorVOList.get(i).getPp() != null){
                            priceTrendQueryVO1.setPp(reportTypeIndicatorVOList.get(i).getPp());
                        }
                        if(reportTypeIndicatorVOList.get(i).getGg() != null){
                            priceTrendQueryVO1.setGg(reportTypeIndicatorVOList.get(i).getGg());
                        }
                        if(reportTypeIndicatorVOList.get(i).getJlbz() != null){
                            priceTrendQueryVO1.setJlbz(reportTypeIndicatorVOList.get(i).getJlbz());
                        }
                        priceTrendQueryVO1.setIndicator(reportTypeIndicatorVOList.get(i).getZbbm());
                        //根据价格类型、时间、指标获取平均价
                        LastPriceInfoVO lastPriceInfoVO = reportRecordDomain.getWeekPrice(priceTrendQueryVO1);
                        if(lastPriceInfoVO != null){
                            if(lastPriceInfoVO.getSqjg() != null){
                                lastPriceInfoVO.setSqjg(Double.parseDouble(reportRecordDomain.getDoubleString(lastPriceInfoVO.getSqjg())));
                            }
                            if(lastPriceInfoVO != null){
                                reportTypeIndicatorVOList.get(i).setBqjg(lastPriceInfoVO.getSqjg());
                            }
                            if(reportTypeIndicatorVOList.get(i).getStandardPrice() != null && lastPriceInfoVO!= null){
                                reportTypeIndicatorVOList.get(i).setJgzs(lastPriceInfoVO.getSqjg()/reportTypeIndicatorVOList.get(i).getStandardPrice());
                            }

                        }
                        //根据价格类型、检测点、指标获取上一期指标价格
                        if(priceTrendQueryVO1.getStartDate() != null && !priceTrendQueryVO1.getStartDate().equals("")){
                            priceTrendQueryVO1.setStartDate(getLastMonth(time));
                            priceTrendQueryVO1.setEndDate(getLastMonth(endTime));
                        }
                        //获取上月价格
                        LastPriceInfoVO lastPriceInfoVOS = reportRecordDomain.getPriceByQuery(priceTrendQueryVO1);
                        if(lastPriceInfoVOS != null){
                            reportTypeIndicatorVOList.get(i).setSqjg(lastPriceInfoVOS.getSqjg());
                            if( lastPriceInfoVO!= null) {
                                reportTypeIndicatorVOList.get(i).setHbzzl((lastPriceInfoVO.getSqjg()-lastPriceInfoVOS.getSqjg())/lastPriceInfoVOS.getSqjg()*100);
                            }
                        }
                        //根据价格类型、检测点、指标获取上一年指标价格
                        if(priceTrendQueryVO1.getStartDate() != null && !priceTrendQueryVO1.getStartDate().equals("")){
                            priceTrendQueryVO1.setStartDate(getLastYear(time));
                            priceTrendQueryVO1.setEndDate(getLastYear(endTime));
                        }
                        //获取去年同期价格
                        LastPriceInfoVO lastYearPriceInfoVO = reportRecordDomain.getPriceByQuery(priceTrendQueryVO1);
                        if(lastYearPriceInfoVO != null){
                            reportTypeIndicatorVOList.get(i).setLastYearPrice(lastYearPriceInfoVO.getSqjg());
                            if(lastPriceInfoVO!= null){
                                reportTypeIndicatorVOList.get(i).setTbzzl((lastPriceInfoVO.getSqjg()-lastYearPriceInfoVO.getSqjg())/lastYearPriceInfoVO.getSqjg()*100);
                            }
                        }

                  }
                } else if(priceTrendQueryVO.getPriceDateType().equals("日报-新")){
                    // 上报时间为当日
                    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
                    String currentDate = sdf.format(new Date());
                    resultMap.put("sbkssj",currentDate);
                    resultMap.put("sbjssj",currentDate);
                    for (int i = 0; i < reportTypeIndicatorVOList.size(); i++) {
                        PriceTrendQueryVO priceTrendQueryVO1 = new PriceTrendQueryVO();
                        LsBeanUtils.copyPropertiesIgnoreNull(priceTrendQueryVO,priceTrendQueryVO1);
                        priceTrendQueryVO1.setIndicator(reportTypeIndicatorVOList.get(i).getPzmc());
                        if(reportTypeIndicatorVOList.get(i).getPp() != null){
                            priceTrendQueryVO1.setPp(reportTypeIndicatorVOList.get(i).getPp());
                        }
                        if(reportTypeIndicatorVOList.get(i).getGg() != null){
                            priceTrendQueryVO1.setGg(reportTypeIndicatorVOList.get(i).getGg());
                        }
                        if(reportTypeIndicatorVOList.get(i).getJlbz() != null){
                            priceTrendQueryVO1.setJlbz(reportTypeIndicatorVOList.get(i).getJlbz());
                        }
                        //根据价格类型、检测点、指标获取最后一次上报的指标价格
                        LastPriceInfoVO lastPriceInfoVO = reportRecordDomain.getLastPrice(priceTrendQueryVO1);
                        if(lastPriceInfoVO != null){
                            reportTypeIndicatorVOList.get(i).setSqjg(lastPriceInfoVO.getSqjg());
                            reportTypeIndicatorVOList.get(i).setSbsl(lastPriceInfoVO.getSbsl());
                            reportTypeIndicatorVOList.get(i).setBqjg(lastPriceInfoVO.getSqjg());
                            reportTypeIndicatorVOList.get(i).setBqsl(lastPriceInfoVO.getSbsl());
                        }
                    }
                }
            }
        }
        resultMap.put("list",reportTypeIndicatorVOList);
        return resultMap;
    }

    @Override
    public Map<String, Object> getTimePrice(PriceStatisticsInputVO priceStatisticsInputVO) {
        //根据时间段 价格类型 获取对应期初价、期末价、最高价、最低价、平均价、日均销量
        //获取所属时间段开始的星期一和结束的星期一
        if(priceStatisticsInputVO.getStartDate() != null){
            priceStatisticsInputVO.setStartDate(reportRecordDomain.genMonday(priceStatisticsInputVO.getStartDate()));
        }
        if(priceStatisticsInputVO.getEndDate() != null){
            priceStatisticsInputVO.setEndDate(reportRecordDomain.genMonday(priceStatisticsInputVO.getEndDate()));
        }
        return reportRecordDomain.getTimePrice(priceStatisticsInputVO);
    }

    @Override
    public Map<String, Object> getWeeklyReportList(WeeklyReportVO weeklyReportVO) {
        return reportRecordDomain.getWeeklyReportList(weeklyReportVO);
    }

    @Override
    public Map<String, Object> getWeeklyReportInfo(WeeklyReportVO weeklyReportVO) {
        Map<String, Object> resultMap = new HashMap<>();
        String time = weeklyReportVO.getReportEndDate();
        SimpleDateFormat format= new SimpleDateFormat("yyyy-MM-dd");
        Date date = new Date();
        try {
            date=format.parse(time);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        //获取七天前日期
        weeklyReportVO.setLastReportEndDate(reportRecordDomain.getDay(reportRecordDomain.getLastWeekDate(date)));
        //时间
        List<HeadListVo> headListVoList = new ArrayList<>();
        HeadListVo headListVo = new HeadListVo();
        headListVo.setName("品种");
        headListVo.setCode("PZ");
        headListVoList.add(headListVo);
        ReportTypePriceVO reportTypePriceType= new ReportTypePriceVO();
        try {
             reportTypePriceType = domain.findReportTypePriceType(weeklyReportVO.getPriceType());
        } catch (Exception e) {
            e.printStackTrace();
        }
        //获取报表类型对应价格类型
        List<PriceTypeVO> priceTypeList = new ArrayList<>();
        if(reportTypePriceType != null){
            priceTypeList = reportTypePriceType.getPriceTypeVO();
        }

        //获取报表类型对应所有检测点
        List<JcdVO> jcdList = reportRecordDomain.getAllJcdByBblx(weeklyReportVO.getPriceType());

        //根据时间、品种名称、检测点、价格类型获取价格
        /*WeeklyPriceVO weeklyPriceVO = reportRecordDomain.getPriceByWeeklyQuery(weeklyReportVO);*/
        //先查询报表对应的品种
       /* List<List<Map<String,Object>>> dataList = new ArrayList<>();*/
        List<Map<String,Object>> list = new ArrayList<>();
        List<IndicatorReportVO> indicatorReportVOList = reportRecordDomain.getIndicatorByBblx(weeklyReportVO.getPriceType());
        if(indicatorReportVOList != null){

            for (int i = 0; i < indicatorReportVOList.size(); i++) {
                List<HeadListVo> headListVoList1 = new ArrayList<>();
                //列表头部设置
                HeadListVo ksHead = new HeadListVo();
                ksHead.setName(weeklyReportVO.getReportEndDate());
                ksHead.setCode("SJ"+ i);
                HeadListVo lksHead = new HeadListVo();
                lksHead.setName(weeklyReportVO.getLastReportEndDate());
                lksHead.setCode("LSJ"+ i);
                if(weeklyReportVO.getType() == 2){
                    HeadListVo ppHead = new HeadListVo();
                    ppHead.setName("品牌");
                    ppHead.setCode("PP"+ i);
                    headListVoList1.add(ppHead);
                }
                HeadListVo hbHead = new HeadListVo();
                hbHead.setName("环比");
                hbHead.setCode("HB"+ i);

                headListVoList1.add(lksHead);
                headListVoList1.add(ksHead);
                headListVoList1.add(hbHead);
                HeadListVo headListVo1 = new HeadListVo();
                headListVo1.setName(indicatorReportVOList.get(i).getPzmc());
                headListVo1.setCode("ZB"+ i);
                headListVo1.setChildren(headListVoList1);
                headListVoList.add(headListVo1);
                weeklyReportVO.setIndicator(indicatorReportVOList.get(i).getPzmc());
                if(list.size() > 0){
                    int index = 0;
                    for (int i3 = 0; i3 < jcdList.size(); i3++) {
                       /* List<Map<String,Object>> list = dataList.get(i3);*/
                        /*Map<String,Object> map2 = list.get(i3);*/
                        weeklyReportVO.setPoint(jcdList.get(i3).getJcd());
                        weeklyReportVO.setXzqh(jcdList.get(i3).getXzqh());
                        weeklyReportVO.setJglx(jcdList.get(i3).getJglx());

                            Map<String,Object> map2 = list.get(index);
                            //根据时间、品种名称、检测点、价格类型获取价格
                            WeeklyPriceVO weeklyPriceVO = reportRecordDomain.getPriceByWeeklyQuery(weeklyReportVO);
                           /* Map<String,Object> map = map2;*/
                            map2.put("PZ",jcdList.get(i3).getXzqh());
                            if(jcdList.get(i3).getJglx().equals("零售价")){
                                map2.put("type","3");
                            }
                         if(jcdList.get(i3).getJglx().equals("批发价")){
                            map2.put("type","2");
                         }
                        if(jcdList.get(i3).getJglx().equals("收购价")){
                            map2.put("type","1");
                        }
                        if(jcdList.get(i3).getJglx().equals("出库价")){
                            map2.put("type","0");
                        }

                        if(weeklyPriceVO != null){
                                if(weeklyReportVO.getType() == 2){
                                    if(weeklyPriceVO.getPp() != null){
                                        map2.put("PP"+ i,weeklyPriceVO.getPp());
                                    }else{
                                        map2.put("PP"+ i,"");
                                    }
                                }
                                if(weeklyPriceVO.getNowPrice() != null){
                                    map2.put("SJ"+ i,weeklyPriceVO.getNowPrice());
                                }else{
                                    map2.put("SJ"+ i,"");
                                }
                                if(weeklyPriceVO.getLastPrice() != null){
                                    map2.put("LSJ"+ i,weeklyPriceVO.getLastPrice());
                                    if(weeklyPriceVO.getNowPrice() > weeklyPriceVO.getLastPrice()){
                                        map2.put("HB"+ i,"↑");
                                    }else if(weeklyPriceVO.getNowPrice() < weeklyPriceVO.getLastPrice()){
                                        map2.put("HB"+ i,"↓");
                                    }else{
                                        map2.put("HB"+ i,"-");
                                    }
                                }else{
                                    map2.put("HB"+ i,"-");
                                    map2.put("LSJ"+ i,"");
                                }
                            }else{
                                if(weeklyReportVO.getType() == 2){
                                  //  map2.put("PP"+ i,"");
                                }
                              //  map2.put("SJ"+ i,"");
                              //  map2.put("LSJ"+ i,"");
                             //   map2.put("HB"+ i,"-");
                            }
                            ++index;


                    }
                }else{
                    for (int i3 = 0; i3 < jcdList.size(); i3++) {
                        Map<String,Object> map = new HashMap<>();
                        /*List<Map<String,Object>> list = new ArrayList<>();*/
                        weeklyReportVO.setPoint(jcdList.get(i3).getJcd());
                        weeklyReportVO.setXzqh(jcdList.get(i3).getXzqh());
                        weeklyReportVO.setJglx(jcdList.get(i3).getJglx());

                        //根据时间、品种名称、检测点、价格类型获取价格
                            WeeklyPriceVO weeklyPriceVO = reportRecordDomain.getPriceByWeeklyQuery(weeklyReportVO);
                            map = new HashMap<>();
                            map.put("PZ",jcdList.get(i3).getXzqh());
                        if(jcdList.get(i3).getJglx().equals("零售价")){
                            map.put("type","3");
                        }
                        if(jcdList.get(i3).getJglx().equals("批发价")){
                            map.put("type","2");
                        }
                        if(jcdList.get(i3).getJglx().equals("收购价")){
                            map.put("type","1");
                        }
                        if(jcdList.get(i3).getJglx().equals("出库价")){
                            map.put("type","0");
                        }
                        if(weeklyPriceVO != null){
                                if(weeklyReportVO.getType() == 2){
                                    if(weeklyPriceVO.getPp() != null){
                                        map.put("PP"+ i,weeklyPriceVO.getPp());
                                    }else{
                                        map.put("PP"+ i,"");
                                    }
                                }
                                if(weeklyPriceVO.getNowPrice() != null){
                                    map.put("SJ"+ i,weeklyPriceVO.getNowPrice());
                                }else{
                                    map.put("SJ"+ i,"");
                                }
                                if(weeklyPriceVO.getLastPrice() != null){
                                    map.put("LSJ"+ i,weeklyPriceVO.getLastPrice());
                                    if(weeklyPriceVO.getNowPrice() > weeklyPriceVO.getLastPrice()){
                                        map.put("HB"+ i,"↑");
                                    }else if(weeklyPriceVO.getNowPrice() < weeklyPriceVO.getLastPrice()){
                                        map.put("HB"+ i,"↓");
                                    }else{
                                        map.put("HB"+ i,"-");
                                    }
                                }else{
                                    map.put("HB"+ i,"-");
                                    map.put("LSJ"+ i,"");
                                }
                            }else{
                                if(weeklyReportVO.getType() == 2 ){
                                  //  map.put("PP"+ i,"");
                                }
                            //    map.put("SJ"+ i,"");
                            //    map.put("LSJ"+ i,"");
                           //     map.put("HB"+ i,"-");
                            }
                            list.add(map);

                        /*dataList.add(list);*/
                    }
                    /*for(int j = 0;j < 10; j++){

                        Map<String,Object> map = new HashMap<>();
                        List<Map<String,Object>> list = new ArrayList<>();
                        //根据价格类型获取对应检测点的数值
                        for (int i1 = 0; i1 < priceTypeList.size(); i1++) {
                            weeklyReportVO.setJglx(priceTypeList.get(i1).getPriceTypeName());
                            //根据时间、品种名称、检测点、价格类型获取价格
                            WeeklyPriceVO weeklyPriceVO = reportRecordDomain.getPriceByWeeklyQuery(weeklyReportVO);
                        }
                        for(int k = 0; k < 2; k++){
                            map = new HashMap<>();
                            map.put("PZ","检测点一"+k);
                            map.put("PP"+ i,"某个品牌"+k);
                            map.put("SJ"+ i,"1"+k);
                            map.put("LSJ"+ i,"2"+k);
                            map.put("HB"+ i,"3"+k);
                            list.add(map);
                        }
                        dataList.add(list);
                    }*/

                }
            }
        }
        List<Map<String, Object>> filtered=list.stream().filter(string -> !string.isEmpty()).collect(Collectors.toList());
        resultMap.put("headList",headListVoList);
        resultMap.put("dataList",filtered);
        return resultMap;
    }

    @Override
    public List<Map<String,Object>> getTrendChart(PriceTrendQueryVO priceTrendQueryVO) {

        return reportRecordDomain.getTrendChart(priceTrendQueryVO);
    }
    @Override
    public List<Map<String,Object>> getTrendChartByZs(PriceTrendQueryVO priceTrendQueryVO) {

        return reportRecordDomain.getTrendChartByZs(priceTrendQueryVO);
    }
    @Override
    public Map<String, Object> excelInput(MultipartFile file, String bblxId) {
        try {
            Integer total = 0;
            Integer success = 0;
            Integer fail = 0;
            FileInputStream  fis = (FileInputStream) file.getInputStream();
            LinkedHashMap<String, String> alias = new LinkedHashMap<>();
            alias.put("时间", "month");
            PriceTrendQueryVO priceTrendQueryVO = new PriceTrendQueryVO();
            priceTrendQueryVO.setPriceType(bblxId);
            priceTrendQueryVO.setType(2);
            List<ReportTypeIndicatorVO> reportTypeIndicatorVOList = reportRecordDomain.getHistoryPrice(priceTrendQueryVO);
            //获取价格类型对应月报表的价格类型
            String priceType = reportRecordDomain.getMonthPriceType(bblxId);
            for (int i = 0; i < reportTypeIndicatorVOList.size(); i++) {
                if(reportTypeIndicatorVOList.get(i).getJlbz() != null){
                    alias.put(reportTypeIndicatorVOList.get(i).getPzmc() + "(" + reportTypeIndicatorVOList.get(i).getJlbz() + ")",reportTypeIndicatorVOList.get(i).getZbbm() + reportTypeIndicatorVOList.get(i).getJlbzbm());
                }else{
                    alias.put(reportTypeIndicatorVOList.get(i).getPzmc(),reportTypeIndicatorVOList.get(i).getZbbm());
                }

            }
            List<Map<String, Object>> ls = null;
            try {
                ls = ExcelUtil.excel2Pojo(fis, alias);
            } catch (Exception e) {
                e.printStackTrace();
            }
            // 转换成json
            String compJson = JSONArray.toJSONString(ls);
            List<Map> reportList = (List<Map>)JSONArray.parseArray(compJson,Map.class);
            for (int i = 0; i < reportList.size(); i++) {
                ++total;
                String time = (String)reportList.get(i).get("month");
                SimpleDateFormat format = new SimpleDateFormat("yyyy-MM");
                Date date = null;
                try {
                    date = format.parse(time);
                } catch (ParseException e) {
                    e.printStackTrace();
                }
                //获取指定时间月初月末时间
                Map<String,Object> timeMap = reportRecordDomain.getMonthTime(date);
                ReportRecordInfoVO info = new ReportRecordInfoVO();
                info.setBblxId(priceType);
                info.setSbkssj((String)timeMap.get("startTime"));
                //1.根据时间查询 该条记录是否存在
                Integer count =  reportRecordDomain.isReport(info);
                //2.存在则不执行该条记录的操作
                if(count != null && count > 0){
                    //失败数加1
                    ++fail;
                }else {
                    //3.不存在 则执行新增操作
                    ++success;
                    ReportRecordInfoVO reportRecordInfoVO = new ReportRecordInfoVO();
                    reportRecordInfoVO.setSbkssj((String) timeMap.get("startTime"));
                    reportRecordInfoVO.setSbjssj((String) timeMap.get("endTime"));
                    reportRecordInfoVO.setBblxId(priceType);
                    reportRecordInfoVO.setCreateTime(new Date());
                    List<PriceInfoVO> priceInfoVOList = new ArrayList<>();
                    for (int i1 = 0; i1 < reportTypeIndicatorVOList.size(); i1++) {
                        PriceInfoVO priceInfoVO = new PriceInfoVO();
                        LsBeanUtils.copyPropertiesIgnoreNull(reportTypeIndicatorVOList.get(i1), priceInfoVO);
                        if(priceInfoVO.getJlbzbm() != null){
                            if (reportList.get(i).get(priceInfoVO.getZbbm() + priceInfoVO.getJlbzbm()) != null) {
                                priceInfoVO.setBqjg(Double.parseDouble((String) reportList.get(i).get(priceInfoVO.getZbbm() + priceInfoVO.getJlbzbm())));
                            }
                        }else{
                            if (reportList.get(i).get(priceInfoVO.getZbbm()) != null) {
                                priceInfoVO.setBqjg(Double.parseDouble((String) reportList.get(i).get(priceInfoVO.getZbbm())));
                            }
                        }

                        priceInfoVOList.add(priceInfoVO);
                    }
                    reportRecordInfoVO.setPriceInfoVOList(priceInfoVOList);
                    reportRecordDomain.saveOne(reportRecordInfoVO);
                }
            }
            Map<String,Object> resultMap= new HashMap<>();
            resultMap.put("total",total);
            resultMap.put("fail",fail);
            resultMap.put("success",success);
            return resultMap;
        } catch (IOException e) {
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public void taskAdd(TaskVO taskVO) {

        //设置查询日期为当日
       /* taskVO.setReportTime(reportRecordDomain.getDay(new Date()));*/
        //判断当前日期是否为周六日，如果不是执行任务调度，如果是则不执行任何操作
       /* SimpleDateFormat f = new SimpleDateFormat("yyyyMMdd");*/
       /* String result = request(taskVO.getReportTime());*/
        /*String result = request(f.format(new Date()));
        System.out.println("----------------------"+result);*/
        //判断是否为周六日
        /*Boolean result = reportRecordDomain.isWeekend(taskVO.getReportTime());
        if(!result){*/
            //判断上周有无上报记录
            Map<String,Object> map = reportRecordDomain.getWeekDate1();
            //上周一时间
            Date lastWeek = reportRecordDomain.getLastWeekDate((Date)map.get("mondayDate"));

            ReportRecordInfoVO reportRecordInfoVO = new ReportRecordInfoVO();
            reportRecordInfoVO.setSbkssj(reportRecordDomain.getDay(lastWeek));
            reportRecordInfoVO.setBblxId(taskVO.getPriceType());
            reportRecordInfoVO.setOrgId(taskVO.getPointId());
           /* Integer count = reportRecordDomain.isReport(reportRecordInfoVO);
            if(count != null && count > 0){
                //判断到有本期上报数据 不执行操作
            }else{
                //获取上次填报数据 并新增本期数据
                reportRecordDomain.taskAdd(taskVO);
            }*/
       /* }*/
        TbjlDO tbjlDO=reportRecordDomain.selectByEntity(reportRecordInfoVO);
        boolean addTask=true;
        if(tbjlDO!=null ){
            if("2".equals(tbjlDO.getLcid()) ){
                addTask=false;
            }else{
                tbjlDO.setLcid("0");
                reportRecordDomain.updateByEntity(tbjlDO);
            }
        }
        if(addTask){
            //获取上次填报数据 并新增本期数据
            reportRecordDomain.taskAdd(taskVO);
        }
    }

    //弃用
    @Override
    public void excelOutput(String id, HttpServletResponse response) {
        // 告诉浏览器用什么软件可以打开此文件
        response.setHeader("content-Type", "application/vnd.ms-excel");
        // 下载文件的默认名称
        try {
            response.setHeader("Content-Disposition", "attachment;filename=" + URLEncoder.encode("例子" + ".xls", "utf-8"));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        //获取当前报表详情
        ReportRecordInfoVO reportRecordInfoVO = reportRecordDomain.getOneById(id);
        LinkedHashMap<String, String> map = new LinkedHashMap<>();
        map.put("xh","序号");
        map.put("pzmc","品种");
        try {
            ExcelUtil.pojo2Excel(reportRecordInfoVO.getPriceInfoVOList(),response.getOutputStream(),map,"测试");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override
    public void excelModel(HttpServletResponse response, String bblxId) {
        //根据报表类型id获取对应指标

        PriceTrendQueryVO priceTrendQueryVO = new PriceTrendQueryVO();
        priceTrendQueryVO.setPriceType(bblxId);
        priceTrendQueryVO.setType(2);
        List<ReportTypeIndicatorVO> reportTypeIndicatorVOList = reportRecordDomain.getHistoryPrice(priceTrendQueryVO);
        BblxDO bblxDO = null;
        try {
            bblxDO = reportTypeDomain.findWeeklyReportTypeById(bblxId);
        } catch (Exception e) {
            e.printStackTrace();
        }
       /* String nameFile=bblxDO.getReportTypeName() + "月报表导入模版";*/
        String nameFile = "Model";
        //1.创建工作簿
        XSSFWorkbook workbook = new XSSFWorkbook();
        //2.创建工作表
        XSSFSheet Sheet1 = workbook.createSheet("Sheet1");
        //2.1加载合并单元格对象
        //3.创建行
        //3.1创建头标题行;并且设置头标题
        XSSFRow row = Sheet1.createRow(0);

        //3.2创建列标题;并且设置列标题

        String[] titles = new String[reportTypeIndicatorVOList.size() + 1];
        titles[0] = "时间(格式:2020-01)";
        for (int i = 0; i < reportTypeIndicatorVOList.size(); i++) {
            if(reportTypeIndicatorVOList.get(i).getJlbz() != null){
                titles[i + 1] = reportTypeIndicatorVOList.get(i).getPzmc() + "(" + reportTypeIndicatorVOList.get(i).getJlbz() + ")";
            }else{
                titles[i + 1] = reportTypeIndicatorVOList.get(i).getPzmc();
            }
        }
        for(int i=0;i<titles.length;i++) {
            XSSFCell cell2 = row.createCell(i);
            //加载单元格样式
            cell2.setCellValue(titles[i]);
        }

        XSSFCellStyle cellStyle = workbook.createCellStyle();
        XSSFDataFormat format = workbook.createDataFormat();
        cellStyle.setDataFormat(format.getFormat("@"));
        for (int i = 1;i < 200;i++){
            Row rowid = Sheet1.createRow(i);
            Cell cell = rowid.createCell((short)0);
            cell.setCellStyle(cellStyle);
        }
        try {
            export(nameFile,workbook,response);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Override
    public String monthPriceType(String bblxId) {
        return reportRecordDomain.getMonthPriceType(bblxId);
    }

    @Override
    public Integer isReport(ReportRecordInfoVO info) {
        return reportRecordDomain.isReport(info);
    }

    @Override
    public void quarterlyReport(QuarterlyReportVO quarterlyReportVO) {
            reportRecordDomain.quarterlyReport(quarterlyReportVO);
    }

    @Override
    public Map<String, Object> quarterlyPool(QuarterlyReportInputVO quarterlyReportInputVO) {
        Map<String,Object> resultMap = new HashMap<>();
        List<QuarterlyReportVO> quarterlyReportVOList = reportRecordDomain.quarterlyQuery(quarterlyReportInputVO);
        resultMap.put("startTime",quarterlyReportInputVO.getStartTime());
        resultMap.put("endTime",quarterlyReportInputVO.getEndTime());
        resultMap.put("list",quarterlyReportVOList);
        return resultMap;
    }

    @Override
    public Map<String, Object> quarterlyPoint(QuarterlyReportInputVO quarterlyReportInputVO) {
        Map<String,Object> resultMap = new HashMap<>();
        List<QuarterlyReportVO> quarterlyReportVOList = reportRecordDomain.quarterlyQueryBy(quarterlyReportInputVO);
        resultMap.put("startTime",quarterlyReportInputVO.getStartTime());
        resultMap.put("endTime",quarterlyReportInputVO.getEndTime());
        resultMap.put("pointName",quarterlyReportInputVO.getPointName());
        if(quarterlyReportVOList != null && quarterlyReportVOList.size() > 0){
            resultMap.put("list",quarterlyReportVOList);
        }else{
            resultMap.put("list",null);
        }

        return resultMap;
    }

    @Override
    public void calculation() {
        //先查询出全部的走势录入月数据
        PriceTrendQueryVO priceTrendQueryVO = new PriceTrendQueryVO();
        priceTrendQueryVO.setPriceDateType("月报");
        List<TbjlDO> tbjlDOList = reportRecordDomain.getAllList(priceTrendQueryVO);

        if(tbjlDOList != null){
            //分别获取3种价格类型对应指标
            //1.集贸零售
            PriceTrendQueryVO priceTrendQueryVO1 = new PriceTrendQueryVO();
            priceTrendQueryVO1.setPriceType("BPgRZ6VVTcJs0sVmQ9S");
            priceTrendQueryVO1.setType(2);
            priceTrendQueryVO1.setIndicatorPrice("零售");
            List<ReportTypeIndicatorVO> reportTypeIndicatorVOList1 = reportRecordDomain.getHistoryPrice(priceTrendQueryVO1);
            //2.集贸批发价格
            PriceTrendQueryVO priceTrendQueryVO2 = new PriceTrendQueryVO();
            priceTrendQueryVO2.setPriceType("JAqcOZ136Tp8lFyuFlV");
            priceTrendQueryVO2.setType(2);
            priceTrendQueryVO2.setIndicatorPrice("批发");
            List<ReportTypeIndicatorVO> reportTypeIndicatorVOList2 = reportRecordDomain.getHistoryPrice(priceTrendQueryVO2);
            //3.超市
            PriceTrendQueryVO priceTrendQueryVO3 = new PriceTrendQueryVO();
            priceTrendQueryVO3.setPriceType("z8QzYg0qMJ8sakXrjz0");
            priceTrendQueryVO3.setIndicatorPrice("超市");
            List<ReportTypeIndicatorVO> reportTypeIndicatorVOList3 = reportRecordDomain.getHistoryPrice(priceTrendQueryVO3);

            for (TbjlDO tbjlDO : tbjlDOList) {
                //获取已保存的价格信息
                ReportRecordInfoVO reportRecordInfoVO = reportRecordDomain.getOneById(tbjlDO.getId());
                if(reportRecordInfoVO != null){
                    List<PriceInfoVO> priceInfoVOList = reportRecordInfoVO.getPriceInfoVOList();
                    if(priceInfoVOList != null){
                        for (int i = 0; i < priceInfoVOList.size(); i++) {
                            Double jgzs = null;
                            Double hb = null;
                            Double tb = null;
                            PriceTrendQueryVO priceTrendQueryVO4 = new PriceTrendQueryVO();
                            //计算价格指数、环比、同比
                            if(reportRecordInfoVO.getBblxId().equals("XXzDEKxWnuvvcdX7c2H") && priceInfoVOList.size() == reportTypeIndicatorVOList1.size()){
                                priceTrendQueryVO4.setPriceType("XXzDEKxWnuvvcdX7c2H");
                                if(reportTypeIndicatorVOList1.get(i).getStandardPrice() != null && priceInfoVOList.get(i).getBqjg() != null){
                                    jgzs = Double.parseDouble(reportRecordDomain.getDoubleString(priceInfoVOList.get(i).getBqjg()/reportTypeIndicatorVOList1.get(i).getStandardPrice()));
                                }
                                priceTrendQueryVO4.setIndicator(reportTypeIndicatorVOList1.get(i).getZbbm());
                                if(reportTypeIndicatorVOList1.get(i).getPp() != null){
                                    priceTrendQueryVO4.setPp(reportTypeIndicatorVOList1.get(i).getPp());
                                }
                                if(reportTypeIndicatorVOList1.get(i).getGg() != null){
                                    priceTrendQueryVO4.setGg(reportTypeIndicatorVOList1.get(i).getGg());
                                }
                                if(reportTypeIndicatorVOList1.get(i).getJlbz() != null){
                                    priceTrendQueryVO4.setJlbz(reportTypeIndicatorVOList1.get(i).getJlbz());
                                }
                            }else if(reportRecordInfoVO.getBblxId().equals("Te9PwGQFJvoPK63B5Ck") && priceInfoVOList.size() == reportTypeIndicatorVOList2.size()){
                                priceTrendQueryVO4.setPriceType("Te9PwGQFJvoPK63B5Ck");
                                if(reportTypeIndicatorVOList2.get(i).getStandardPrice() != null && priceInfoVOList.get(i).getBqjg() != null){
                                    jgzs = Double.parseDouble(reportRecordDomain.getDoubleString(priceInfoVOList.get(i).getBqjg()/reportTypeIndicatorVOList2.get(i).getStandardPrice()));
                                }
                                priceTrendQueryVO4.setIndicator(reportTypeIndicatorVOList2.get(i).getZbbm());
                                if(reportTypeIndicatorVOList2.get(i).getPp() != null){
                                    priceTrendQueryVO4.setPp(reportTypeIndicatorVOList2.get(i).getPp());
                                }
                                if(reportTypeIndicatorVOList2.get(i).getGg() != null){
                                    priceTrendQueryVO4.setGg(reportTypeIndicatorVOList2.get(i).getGg());
                                }
                                if(reportTypeIndicatorVOList2.get(i).getJlbz() != null){
                                    priceTrendQueryVO4.setJlbz(reportTypeIndicatorVOList2.get(i).getJlbz());
                                }
                            }else{
                                priceTrendQueryVO4.setPriceType("nOClfCRJdCR3hIDLb9Z");
                                if(reportTypeIndicatorVOList3.get(i).getStandardPrice() != null && priceInfoVOList.get(i).getBqjg() != null){
                                    jgzs = Double.parseDouble(reportRecordDomain.getDoubleString(priceInfoVOList.get(i).getBqjg()/reportTypeIndicatorVOList3.get(i).getStandardPrice()));
                                }
                                priceTrendQueryVO4.setIndicator(reportTypeIndicatorVOList3.get(i).getZbbm());
                                if(reportTypeIndicatorVOList3.get(i).getPp() != null){
                                    priceTrendQueryVO4.setPp(reportTypeIndicatorVOList3.get(i).getPp());
                                }
                                if(reportTypeIndicatorVOList3.get(i).getGg() != null){
                                    priceTrendQueryVO4.setGg(reportTypeIndicatorVOList3.get(i).getGg());
                                }
                                if(reportTypeIndicatorVOList3.get(i).getJlbz() != null){
                                    priceTrendQueryVO4.setJlbz(reportTypeIndicatorVOList3.get(i).getJlbz());
                                }
                            }
                            priceInfoVOList.get(i).setJgzs(jgzs);

                            //设置时间为上一月
                            priceTrendQueryVO4.setStartDate(getLastMonth(reportRecordInfoVO.getSbkssj()));
                            priceTrendQueryVO4.setEndDate(getLastMonth(reportRecordInfoVO.getSbjssj()));
                            //查询上月指标对应价格
                            LastPriceInfoVO lastPriceInfoVOS = reportRecordDomain.getPriceByQuery(priceTrendQueryVO4);
                            if(lastPriceInfoVOS != null && priceInfoVOList.get(i).getBqjg() != null){
                                priceInfoVOList.get(i).setHbzzl(Double.parseDouble(reportRecordDomain.getDoubleString((priceInfoVOList.get(i).getBqjg()-lastPriceInfoVOS.getSqjg())/lastPriceInfoVOS.getSqjg()*100)));
                            }

                            //设置时间为去年同期
                            priceTrendQueryVO4.setStartDate(getLastYear(reportRecordInfoVO.getSbkssj()));
                            priceTrendQueryVO4.setEndDate(getLastYear(reportRecordInfoVO.getSbjssj()));
                            //获取去年同期价格
                            LastPriceInfoVO lastYearPriceInfoVO = reportRecordDomain.getPriceByQuery(priceTrendQueryVO4);
                            if(lastYearPriceInfoVO != null && priceInfoVOList.get(i).getBqjg() != null){
                                priceInfoVOList.get(i).setTbzzl(Double.parseDouble(reportRecordDomain.getDoubleString((priceInfoVOList.get(i).getBqjg()-lastYearPriceInfoVO.getSqjg())/lastYearPriceInfoVO.getSqjg()*100)));
                            }

                        }
                        reportRecordInfoVO.setPriceInfoVOList(priceInfoVOList);
                    }
                    reportRecordDomain.updateOne(reportRecordInfoVO);
                }

            }
        }

    }

    @Override
    public Boolean release(String orgId, Integer num) {
        Map<String,Object> map = new HashMap<>();
        map.put("priceType","LtdXKgAUOJ3D7tpkHxP");
        map.put("num",num);
        map.put("orgId",orgId);
        map.put("queryTime",reportRecordDomain.getDay(reportRecordDomain.genMonday(new Date())));
        Boolean flag = reportRecordDomain.isEnough(map);
        boolean hasNotReport = reportRecordDomain.hasNotReport(orgId);
        if(flag && !hasNotReport){
            //数据全部上报可以发布
            reportRecordDomain.release(map);
            return true;
        }else{
            return false;
        }
    }

    @Override
    public Boolean level(String orgId, Integer num) {
        Map<String,Object> map = new HashMap<>();
        map.put("priceType","LtdXKgAUOJ3D7tpkHxP");
        map.put("num",num);
        map.put("orgId",orgId);
        map.put("queryTime",reportRecordDomain.getDay(reportRecordDomain.genMonday(new Date())));
        Boolean flag = reportRecordDomain.isEnough(map);
        if(flag){
            //数据全部上报可以生成
            reportRecordDomain.level(map);
            return true;
        }else{
            return false;
        }
    }

    @Override
    public void saveWarningRole(WarningRoleVO warningRoleVO) {
        reportRecordDomain.saveWarningRole(warningRoleVO);
    }

    @Override
    public void updateWarningRole(WarningRoleVO warningRoleVO) {
        reportRecordDomain.updateWarningRole(warningRoleVO);
    }

    @Override
    public WarningRoleVO getWarningRole(String id) {
        return reportRecordDomain.getWarningRole(id);
    }

    @Override
    public void deleteWarningRole(String id) {
        reportRecordDomain.deleteWarningRole(id);
    }

    @Override
    public Map<String, Object> getWarningRoles(WarningRoleQueryVO warningRoleQueryVO) {
        return reportRecordDomain.getWarningRoles(warningRoleQueryVO);
    }

    @Override
    public Map<String, Object> getInformation(String orgId, Integer num) {
         //获取上报次数、修改次数、驳回次数
        Map<String,Object> result = reportRecordDomain.getStatistics(orgId);
        //获取未报数据监测点数量
        Map<String,Object> queryMap = new HashMap<>();
        queryMap.put("priceType","LtdXKgAUOJ3D7tpkHxP");

        queryMap.put("orgId",orgId);

        queryMap.put("queryTime",reportRecordDomain.getDay(reportRecordDomain.genMonday(new Date())));
        Integer reportNum = reportRecordDomain.getReportNum(queryMap);
        Integer reportNum1 = domain1.getReportNum(queryMap);
        if(reportNum != null){
            result.put("unReportNum",num - reportNum);
        }else{
            result.put("unReportNum",num);
        }
      if(reportNum1 != null) {
            result.put("contributeNum", reportNum1);
        }
        return result;
    }

    @Override
    public void quarterlyReportupdate(QuarterlyReportVO quarterlyReportVO) {
        reportRecordDomain.quarterlyReportupdate(quarterlyReportVO);

    }

    @Override
    public List<Map<String, Object>> getPriceMonthAvg(PriceStatisticsInputVO priceStatisticsInputVO) throws  Exception {
        return reportRecordDomain.getPriceMonthAvg(priceStatisticsInputVO);
    }

    @Override
    public List<Map<String, Object>> getPriceWeekAvg(PriceStatisticsInputVO priceStatisticsInputVO) throws  Exception {
        return reportRecordDomain.getPriceWeekAvg(priceStatisticsInputVO);
    }

    //获取一个月之前的日期
    public String getLastMonth(String time){
        try {
            Map<String,Object> map = new HashMap<>();
            SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            Calendar c = Calendar.getInstance();
            SimpleDateFormat dateFormat= new SimpleDateFormat("yyyy-MM-dd");
            c.setTime(dateFormat.parse(time));
            c.add(Calendar.MONTH, -1);
            Date m = c.getTime();
            String mon = dateFormat.format(m);
            return mon;
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 判断当前时间是否比time小
     * @param time
     * @return
     * @throws ParseException
     */
    public static boolean  compareTime(int time) throws ParseException {
        Calendar instance = Calendar.getInstance();
        int i = instance.get(Calendar.HOUR_OF_DAY);
        return i<time;
    }
    //获取一年前的日期
    public String getLastYear(String time){
        try {
            Map<String,Object> map = new HashMap<>();
            SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            Calendar c = Calendar.getInstance();
            SimpleDateFormat dateFormat= new SimpleDateFormat("yyyy-MM-dd");
            c.setTime(dateFormat.parse(time));
            c.add(Calendar.YEAR, -1);
            Date y = c.getTime();
            String year = dateFormat.format(y);
            return year;
        } catch (ParseException e) {
            e.printStackTrace();
            return null;
        }
    }

    public Map<String,Object> getMonth(){
        return null;
    }

    public  String request( String httpArg) {
        //正常工作日对应结果为 0, 法定节假日对应结果为 1, 节假日调休补班对应的结果为 2，休息日对应结果为 3
        String httpUrl = "http://api.goseek.cn/Tools/holiday";
        String result = "";
        StringBuffer sbf = new StringBuffer();
        httpUrl = httpUrl + "?date=" + httpArg;
        try {
            URL url = new URL(httpUrl);
            HttpURLConnection connection = (HttpURLConnection) url
                    .openConnection();
            connection.setRequestMethod("GET");
            connection.connect();
            InputStream is = connection.getInputStream();
            BufferedReader reader = new BufferedReader(new InputStreamReader(is, "UTF-8"));
            String strRead;
            while ((strRead = reader.readLine()) != null) {
                sbf.append(strRead);
                sbf.append("\r\n");
            }
            reader.close();
            result = MapUtils.getString(jsonStringToMap(String.valueOf(sbf)),"data");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return result;
    }

    private static Map<String, Object> jsonStringToMap(String json) {
        //String转成JSONObject形式
        JSONObject jsonArray = JSONObject.parseObject(json);
        Map<String, Object> param = JSONObject.parseObject(jsonArray.toJSONString(), new TypeReference<Map<String, Object>>() {});
        return param;
    }

    //导出excel
    public static void export(String fileName, XSSFWorkbook workbook, HttpServletResponse response) throws IOException {
        OutputStream os = null;
        try {
            fileName = new String(fileName.getBytes(), "iso8859-1")  + ".xlsx";
            os = response.getOutputStream();// 取得输出流
            response.reset();// 清空输出流   +
            response.setContentType("application/x-download");
            response.addHeader("Content-Disposition", "attachment;filename=" + fileName );
            response.setCharacterEncoding("UTF-8");
            workbook.write(os);
            os.flush();
            os.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

	@Override
	public boolean modifyReportFormsRecordVarietyCode(String formType) {
		return reportRecordDomain.modifyReportFormsRecordVarietyCode(formType);
	}

	@Override
	public JSONObject showNationalPriceIndexTrend(ReportRecordVO record) {
		return reportRecordDomain.showNationalPriceIndexTrend(record);
	}

	@Override
	public JSONObject getNationalPriceIndexVarietys(String formType) {
		return reportRecordDomain.getNationalPriceIndexVarietys(formType);
	}

	@Override
	public void addReportRecordVariety(String reportType, String startTime, Date endTime, String recordId,
			String varietyName, String varietyCode, String detailId) {
		reportRecordDomain.addReportRecordVariety(reportType, startTime, endTime, recordId, varietyName, varietyCode, detailId);
	}

    @Override
    public void lYPriceDailyTaskAdd(TaskVO taskVO) {
        // 判断当日是否已经上报
        ReportRecordInfoVO reportRecordInfoVO = new ReportRecordInfoVO();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        reportRecordInfoVO.setSbkssj(sdf.format(new Date()));
        reportRecordInfoVO.setBblxId(taskVO.getPriceType());
        reportRecordInfoVO.setOrgId(taskVO.getPointId());
        TbjlDO tbjlDO=reportRecordDomain.selectByEntity(reportRecordInfoVO);
        boolean addTask=true;
        if(tbjlDO!=null ){
            if("2".equals(tbjlDO.getLcid()) ){
                addTask=false;
            }else{
                tbjlDO.setLcid("0");
                reportRecordDomain.updateByEntity(tbjlDO);
            }
        }
        if(addTask){
            //获取上次填报数据 并新增本期数据
            reportRecordDomain.lYPriceDailyTaskAdd(taskVO);
        }
    }

    private Date getNextWeek(Date date){
        Calendar calendar=Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.DAY_OF_MONTH,7);
        return calendar.getTime();
    }
    private Date getLastWeek(Date date){
        Calendar calendar=Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.DAY_OF_MONTH,-7);
        return calendar.getTime();
    }
}
