package com.unis.indicator.server.service.impl;

import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.bbzb.ReportTypePriceVO;
import com.unis.indicator.common.vo.bbzb.ReportTypeVO;
import com.unis.indicator.server.domain.ReportTypeDomain;
import com.unis.indicator.server.service.ReportTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @ClassName WeeklyReportServiceImpl
 * @Description 周刊报表类型服务
 * @Author xmpu
 * @Date 2019/7/24 17:07
 * @Version 0.0.1
 **/
@Service
public class ReportTypeServiceImpl implements ReportTypeService {

	@Autowired
	private ReportTypeDomain domain;

	@Override
	public ReportTypeVO findById(String id) throws Exception {
        ReportTypeVO res =  LsBeanUtils.copyProperties(domain.findWeeklyReportTypeById(id), ReportTypeVO.class);
		return res;
	}

	@Override
	public Map<String, Object> findByPage(ReportTypeVO VO, Integer page, Integer size) throws Exception {
		return domain.findWeeklyReportTypesByPage(VO, page, size);
	}

	@Override
	public List<ReportTypeVO> findDistinct() throws Exception {
		return domain.findDistinct();
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean deletes(String[] ids, String userId) throws Exception {
		return domain.deleteWeeklyReportTypes(ids, userId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean save(ReportTypeVO VO) throws Exception {
		return domain.saveWeeklyReportType(VO);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean update(ReportTypeVO VO) throws Exception {
		return domain.updateWeeklyReportType(VO);
	}

	@Override
	public ReportTypePriceVO findReportTypePriceType(String indicatorId) throws Exception {
		return domain.findReportTypePriceType(indicatorId);
	}

	@Override
	public boolean saveReportTypePriceType(ReportTypePriceVO vo) throws Exception {
		return domain.saveReportTypePriceType(vo);
	}

}
