package com.unis.indicator.server.service.impl;

import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.StandardVO;
import com.unis.indicator.server.domain.StandardDomain;
import com.unis.indicator.server.service.StandardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * @ClassName StandardServiceImpl
 * @Description 指标服务
 * @Author xmpu
 * @Date 2019/7/24 17:07
 * @Version 0.0.1
 **/
@Service
public class StandardServiceImpl implements StandardService {

	@Autowired
	private StandardDomain domain;

	@Override
	public StandardVO findById(String id) throws Exception {
        StandardVO res =  LsBeanUtils.copyProperties(domain.findStdById(id), StandardVO.class);
		return res;
	}

	@Override
	public boolean findStdRelById(String id) throws Exception {
		return domain.findStdRelById(id);
	}

	@Override
	public Map<String, Object> findByPage(StandardVO VO, Integer page, Integer size) throws Exception {
		return domain.findStdsByPage(VO, page, size);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean deletes(String[] ids, String userId) throws Exception {
		return domain.deleteStds(ids, userId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean save(StandardVO VO) throws Exception {
		return domain.saveStd(VO);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean update(StandardVO VO) throws Exception {
		return domain.updateStd(VO);
	}

}
