package com.unis.indicator.server.service.impl;

import com.sun.org.apache.bcel.internal.generic.RETURN;
import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.UnitVO;
import com.unis.indicator.server.domain.UnitDomain;
import com.unis.indicator.server.service.UnitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * @ClassName UnitServiceImpl
 * @Description 指标单位服务
 * @Author xmpu
 * @Date 2019/7/24 17:07
 * @Version 0.0.1
 **/
@Service
public class UnitServiceImpl implements UnitService {

	@Autowired
	private UnitDomain domain;

	@Override
	public UnitVO findById(String id) throws Exception {
        UnitVO res =  LsBeanUtils.copyProperties(domain.findUnitById(id), UnitVO.class);
		return res;
	}

	@Override
	public boolean findUnitIndRel(String id) throws Exception{
		return domain.findUnitIndRel(id);
	}

	@Override
	public Map<String, Object> findByPage(UnitVO VO, Integer page, Integer size) throws Exception {
		return domain.findUnitsByPage(VO, page, size);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean deletes(String[] ids, String userId) throws Exception {
		return domain.deleteUnits(ids, userId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean save(UnitVO VO) throws Exception {
		return domain.saveUnit(VO);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean update(UnitVO VO) throws Exception {
		return domain.updateUnit(VO);
	}

}
