package com.unis.indicator.server.service.impl;

import com.unis.common.utils.LsBeanUtils;
import com.unis.indicator.common.vo.IndicatorVO;
import com.unis.indicator.common.vo.WeightVO;
import com.unis.indicator.common.vo.WeightValueVO;
import com.unis.indicator.server.domain.WeightDomain;
import com.unis.indicator.server.entity.indicator.QzzDO;
import com.unis.indicator.server.service.WeightService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @ClassName WeightServiceImpl
 * @Description 权重服务
 * @Author xmpu
 * @Date 2019/7/24 17:07
 * @Version 0.0.1
 **/
@Service
public class WeightServiceImpl implements WeightService {

	@Autowired
	private WeightDomain domain;

	@Override
	public WeightVO findById(String id) throws Exception {
        WeightVO res =  LsBeanUtils.copyProperties(domain.findWeightByWeightCode(id), WeightVO.class);
		if("0".equals(res.getIsPublish())) {
			res.setIsPublishName("禁用");
		}
		if("1".equals(res.getIsPublish())) {
			res.setIsPublishName("启用");
		}
		return res;
	}

	@Override
	public Map<String, Object> findByPage(WeightVO VO, Integer page, Integer size) throws Exception {
		return domain.findWeightsByPage(VO, page, size);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean deletes(String[] ids, String userId) throws Exception {
		return domain.deleteWeights(ids, userId);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean save(WeightVO VO) throws Exception {
		return domain.saveWeight(VO);
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean update(WeightVO VO) throws Exception {
		return domain.updateWeight(VO);
	}

	@Override
	public List<WeightValueVO> findWeightValByWeightCode(String code) throws Exception{
		List<WeightValueVO> resList = new ArrayList<>();
		LsBeanUtils.copyCollection(domain.findWeightValByWeightCode(code),
				resList,
				WeightValueVO.class);
		return resList;
	}

	@Override
	@Transactional(rollbackFor = Exception.class)
	public boolean saveWeightVal(List<WeightValueVO> voList, String weightCode) throws Exception {
		return domain.saveWeightVal(voList, weightCode);
	}

	@Override
	public List<IndicatorVO> findWeightValByWeightType(String type) throws Exception{
		return domain.findWeightValByWeightType(type);
	}
}
